// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.CORBA;

final public class NamedValue extends org.omg.CORBA.NamedValue
{
    private String name_;
    private org.omg.CORBA.Any value_;
    private int flags_;

    // ------------------------------------------------------------------
    // Standard IDL to Java Mapping
    // ------------------------------------------------------------------

    public String
    name()
    {
	return name_;
    }

    public org.omg.CORBA.Any
    value()
    {
	return value_;
    }

    public int
    flags()
    {
	return flags_;
    }

    // ------------------------------------------------------------------
    // ORBacus internal functions
    // Application programs must not use these functions directly
    // ------------------------------------------------------------------

    public NamedValue(String name, org.omg.CORBA.Any any, int flags)
    {
	name_ = name;
	value_ = any;
	flags_ = flags;
    }
}
