// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OBPortableServer;

//
// This abstract class represents an id generation strategy
//
interface IdGenerationStrategy
{
    //
    // Create a new ObjectId
    //
    byte[]
    createId()
    throws org.omg.PortableServer.POAPackage.WrongPolicy;

    //
    // Is an ObjectId valid?
    //
    boolean
    isValid(byte[] oid);
}
