// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.PortableServer;

//
// Servant is the base class for proprietary skeletons with full
// interceptor support
//
abstract public class Servant extends org.omg.PortableServer.Servant
{
    protected org.omg.CORBA.portable.InputStream
    _OB_preUnmarshal(com.ooc.OB.Upcall up)
        throws com.ooc.OB.LocationForward
    {
        Delegate d = (Delegate)_get_delegate();
        return d._OB_preUnmarshal(this, up);
    }

    protected void
    _OB_unmarshalEx(com.ooc.OB.Upcall up, org.omg.CORBA.SystemException ex)
        throws com.ooc.OB.LocationForward
    {
        Delegate d = (Delegate)_get_delegate();
        d._OB_unmarshalEx(this, up, ex);
    }

    protected void
    _OB_postUnmarshal(com.ooc.OB.Upcall up)
        throws com.ooc.OB.LocationForward
    {
        Delegate d = (Delegate)_get_delegate();
        d._OB_postUnmarshal(this, up);
    }

    protected void
    _OB_postinvoke(com.ooc.OB.Upcall up)
        throws com.ooc.OB.LocationForward
    {
        Delegate d = (Delegate)_get_delegate();
        d._OB_postinvoke(this, up);
    }

    protected org.omg.CORBA.portable.OutputStream
    _OB_preMarshal(com.ooc.OB.Upcall up)
        throws com.ooc.OB.LocationForward
    {
        Delegate d = (Delegate)_get_delegate();
        return d._OB_preMarshal(this, up);
    }

    protected void
    _OB_marshalEx(com.ooc.OB.Upcall up, org.omg.CORBA.SystemException ex)
        throws com.ooc.OB.LocationForward
    {
        Delegate d = (Delegate)_get_delegate();
        d._OB_unmarshalEx(this, up, ex);
    }

    protected void
    _OB_postMarshal(com.ooc.OB.Upcall up)
        throws com.ooc.OB.LocationForward
    {
        Delegate d = (Delegate)_get_delegate();
        d._OB_postMarshal(this, up);
    }

    protected void
    _OB_setArgDesc(com.ooc.OB.Upcall up,
                   com.ooc.OB.ParameterDesc[] argDesc,
                   com.ooc.OB.ParameterDesc retDesc,
                   org.omg.CORBA.TypeCode[] exceptionTC)
    {
        Delegate d = (Delegate)_get_delegate();
        d._OB_setArgDesc(this, up, argDesc, retDesc, exceptionTC);
    }

    protected org.omg.CORBA.portable.OutputStream
    _OB_beginUserException(com.ooc.OB.Upcall up,
                           org.omg.CORBA.UserException ex)
    {
        Delegate d = (Delegate)_get_delegate();
        return d._OB_beginUserException(this, up, ex);
    }

    abstract public void
    _OB_dispatch(com.ooc.OB.Upcall _ob_up)
        throws com.ooc.OB.LocationForward;
}
