// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.IMR;

//
// IDL:ooc.com/IMR/ActiveState:1.0
//
final public class ActiveStateHolder implements org.omg.CORBA.portable.Streamable
{
    public ActiveState value;

    public
    ActiveStateHolder()
    {
    }

    public
    ActiveStateHolder(ActiveState initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = ActiveStateHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        ActiveStateHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ActiveStateHelper.type();
    }
}
