// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.IMR;

//
// IDL:ooc.com/IMR/Domain:1.0
//
final public class DomainHolder implements org.omg.CORBA.portable.Streamable
{
    public Domain value;

    public
    DomainHolder()
    {
    }

    public
    DomainHolder(Domain initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = DomainHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        DomainHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return DomainHelper.type();
    }
}
