// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.IMR;

//
// IDL:ooc.com/IMR/OADAlreadyExists:1.0
//
/**
 *
 * An OADAlreadyExists exception indicates that the OAD record
 * detailed in the member <code>name</code> already exists.
 *
 **/

final public class OADAlreadyExists extends org.omg.CORBA.UserException
{
    private static final String _ob_id = "IDL:ooc.com/IMR/OADAlreadyExists:1.0";

    public
    OADAlreadyExists()
    {
        super(_ob_id);
    }

    public
    OADAlreadyExists(String name)
    {
        super(_ob_id);
        this.name = name;
    }

    public
    OADAlreadyExists(String _reason,
                     String name)
    {
        super(_ob_id + " " + _reason);
        this.name = name;
    }

    public String name;
}
