// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.IMR;

//
// IDL:ooc.com/IMR/POAStatus:1.0
//
/**
 *
 * This enumeration contains the various states of a server.
 *
 **/

public class POAStatus implements org.omg.CORBA.portable.IDLEntity
{
    private static POAStatus [] values_ = new POAStatus[5];
    private int value_;

    public final static int _INACTIVE = 0;
    public final static POAStatus INACTIVE = new POAStatus(_INACTIVE);
    public final static int _ACTIVE = 1;
    public final static POAStatus ACTIVE = new POAStatus(_ACTIVE);
    public final static int _HOLDING = 2;
    public final static POAStatus HOLDING = new POAStatus(_HOLDING);
    public final static int _DISCARDING = 3;
    public final static POAStatus DISCARDING = new POAStatus(_DISCARDING);
    public final static int _NON_EXISTENT = 4;
    public final static POAStatus NON_EXISTENT = new POAStatus(_NON_EXISTENT);

    protected
    POAStatus(int value)
    {
        values_[value] = this;
        value_ = value;
    }

    public int
    value()
    {
        return value_;
    }

    public static POAStatus
    from_int(int value)
    {
        if(value < values_.length)
            return values_[value];
        else
            throw new org.omg.CORBA.BAD_PARAM("Value (" + value  + ") out of range", 25, org.omg.CORBA.CompletionStatus.COMPLETED_NO);
    }

    private java.lang.Object
    readResolve()
        throws java.io.ObjectStreamException
    {
        return from_int(value());
    }
}
