// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.IMR;

//
// IDL:ooc.com/IMR/ServerAlreadyRegistered:1.0
//
/**
 *
 * A ServerAlreadyRegistered exception indicates that the server
 * detailed in the member <code>name</code> already exists.
 **/

final public class ServerAlreadyRegistered extends org.omg.CORBA.UserException
{
    private static final String _ob_id = "IDL:ooc.com/IMR/ServerAlreadyRegistered:1.0";

    public
    ServerAlreadyRegistered()
    {
        super(_ob_id);
    }

    public
    ServerAlreadyRegistered(String name)
    {
        super(_ob_id);
        this.name = name;
    }

    public
    ServerAlreadyRegistered(String _reason,
                            String name)
    {
        super(_ob_id + " " + _reason);
        this.name = name;
    }

    public String name;
}
