// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.IMR;

//
// IDL:ooc.com/IMR/ServerFactory:1.0
//
final public class ServerFactoryHolder implements org.omg.CORBA.portable.Streamable
{
    public ServerFactory value;

    public
    ServerFactoryHolder()
    {
    }

    public
    ServerFactoryHolder(ServerFactory initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = ServerFactoryHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        ServerFactoryHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ServerFactoryHelper.type();
    }
}
