// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.IMR;

//
// IDL:ooc.com/IMR/ServerNotRunning:1.0
//
/**
 *
 * A ServerNotRunning exception indicates that the Server detailed in the
 * member <code>host</code> isn't running.
 *
 **/

final public class ServerNotRunning extends org.omg.CORBA.UserException
{
    private static final String _ob_id = "IDL:ooc.com/IMR/ServerNotRunning:1.0";

    public
    ServerNotRunning()
    {
        super(_ob_id);
    }

    public
    ServerNotRunning(String name)
    {
        super(_ob_id);
        this.name = name;
    }

    public
    ServerNotRunning(String _reason,
                     String name)
    {
        super(_ob_id + " " + _reason);
        this.name = name;
    }

    public String name;
}
