// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.IMR;

//
// IDL:ooc.com/IMR/ServerRunning:1.0
//
/**
 *
 * An ServerRunning exception indicates that the Server detailed in the
 * member <code>name</code> is active.
 *
 **/

final public class ServerRunning extends org.omg.CORBA.UserException
{
    private static final String _ob_id = "IDL:ooc.com/IMR/ServerRunning:1.0";

    public
    ServerRunning()
    {
        super(_ob_id);
    }

    public
    ServerRunning(String name)
    {
        super(_ob_id);
        this.name = name;
    }

    public
    ServerRunning(String _reason,
                  String name)
    {
        super(_ob_id + " " + _reason);
        this.name = name;
    }

    public String name;
}
