// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OAD;

//
// IDL:ooc.com/OAD/ProcessEndpointManager:1.0
//
public class _ProcessEndpointManagerStub extends org.omg.CORBA.portable.ObjectImpl
                                         implements ProcessEndpointManager
{
    private static final String[] _ob_ids_ =
    {
        "IDL:ooc.com/OAD/ProcessEndpointManager:1.0",
    };

    public String[]
    _ids()
    {
        return _ob_ids_;
    }

    final public static java.lang.Class _ob_opsClass = ProcessEndpointManagerOperations.class;

    //
    // IDL:ooc.com/OAD/ProcessEndpointManager/establish_link:1.0
    //
    public void
    establish_link(String _ob_a0,
                   String _ob_a1,
                   int _ob_a2,
                   ProcessEndpoint _ob_a3)
        throws AlreadyLinked
    {
        while(true)
        {
            if(!this._is_local())
            {
                org.omg.CORBA.portable.OutputStream out = null;
                org.omg.CORBA.portable.InputStream in = null;
                try
                {
                    out = _request("establish_link", true);
                    out.write_string(_ob_a0);
                    out.write_string(_ob_a1);
                    com.ooc.IMR.ProcessIDHelper.write(out, _ob_a2);
                    ProcessEndpointHelper.write(out, _ob_a3);
                    in = _invoke(out);
                    return;
                }
                catch(org.omg.CORBA.portable.RemarshalException _ob_ex)
                {
                    continue;
                }
                catch(org.omg.CORBA.portable.ApplicationException _ob_aex)
                {
                    final String _ob_id = _ob_aex.getId();
                    in = _ob_aex.getInputStream();

                    if(_ob_id.equals(AlreadyLinkedHelper.id()))
                        throw AlreadyLinkedHelper.read(in);
                    throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _ob_id);
                }
                finally
                {
                    _releaseReply(in);
                }
            }
            else
            {
                org.omg.CORBA.portable.ServantObject _ob_so = _servant_preinvoke("establish_link", _ob_opsClass);
                if(_ob_so == null)
                    continue;
                ProcessEndpointManagerOperations _ob_self = (ProcessEndpointManagerOperations)_ob_so.servant;
                try
                {
                    _ob_self.establish_link(_ob_a0, _ob_a1, _ob_a2, _ob_a3);
                    return;
                }
                finally
                {
                    _servant_postinvoke(_ob_so);
                }
            }
        }
    }
}
