// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OB;

//
// IDL:ooc.com/OB/ConnectTimeoutPolicy:1.0
//
final public class ConnectTimeoutPolicyHolder implements org.omg.CORBA.portable.Streamable
{
    public ConnectTimeoutPolicy value;

    public
    ConnectTimeoutPolicyHolder()
    {
    }

    public
    ConnectTimeoutPolicyHolder(ConnectTimeoutPolicy initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = ConnectTimeoutPolicyHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        ConnectTimeoutPolicyHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ConnectTimeoutPolicyHelper.type();
    }
}
