// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OB;

//
// IDL:ooc.com/OB/DispatchStrategy:1.0
//
/**
 *
 * This interface represents a dispatch strategy. To dispatch a
 * request the ORB will pass a DispatchRequest. The dispatch strategy
 * should call DispatchRequest::invoke() in the correct thread
 * context.
 *
 * @see DispatchRequest
 * @see DispatchStrategyFactory
 *
 **/

public interface DispatchStrategy extends DispatchStrategyOperations,
                                          org.omg.CORBA.Object
{
}
