// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OB;

//
// IDL:ooc.com/OB/RetryPolicy:1.0
//
final public class RetryPolicyHolder implements org.omg.CORBA.portable.Streamable
{
    public RetryPolicy value;

    public
    RetryPolicyHolder()
    {
    }

    public
    RetryPolicyHolder(RetryPolicy initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = RetryPolicyHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        RetryPolicyHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return RetryPolicyHelper.type();
    }
}
