// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OB.URLRegistryPackage;

//
// IDL:ooc.com/OB/URLRegistry/SchemeAlreadyExists:1.0
//
/** Another scheme already exists with the same name. */

final public class SchemeAlreadyExists extends org.omg.CORBA.UserException
{
    private static final String _ob_id = "IDL:ooc.com/OB/URLRegistry/SchemeAlreadyExists:1.0";

    public
    SchemeAlreadyExists()
    {
        super(_ob_id);
    }

    public
    SchemeAlreadyExists(String _reason)
    {
        super(_ob_id + " " + _reason);
    }
}
