// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OBPortableInterceptor;

//
// IDL:ooc.com/OBPortableInterceptor/PersistentORT:1.0
//
final public class PersistentORTHolder implements org.omg.CORBA.portable.Streamable
{
    public PersistentORT value;

    public
    PersistentORTHolder()
    {
    }

    public
    PersistentORTHolder(PersistentORT initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = PersistentORTHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        PersistentORTHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return PersistentORTHelper.type();
    }
}
