// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OBPortableServer;

//
// IDL:ooc.com/OBPortableServer/AcceptorConfig:1.0
//
final public class AcceptorConfigHelper
{
    public static void
    insert(org.omg.CORBA.Any any, AcceptorConfig val)
    {
        org.omg.CORBA.portable.OutputStream out = any.create_output_stream();
        write(out, val);
        any.read_value(out.create_input_stream(), type());
    }

    public static AcceptorConfig
    extract(org.omg.CORBA.Any any)
    {
        if(any.type().equivalent(type()))
            return read(any.create_input_stream());
        else
            throw new org.omg.CORBA.BAD_OPERATION();
    }

    private static org.omg.CORBA.TypeCode typeCode_;

    public static org.omg.CORBA.TypeCode
    type()
    {
        if(typeCode_ == null)
        {
            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
            org.omg.CORBA.StructMember[] members = new org.omg.CORBA.StructMember[2];

            members[0] = new org.omg.CORBA.StructMember();
            members[0].name = "id";
            members[0].type = com.ooc.OCI.PluginIdHelper.type();

            members[1] = new org.omg.CORBA.StructMember();
            members[1].name = "params";
            members[1].type = com.ooc.OCI.ParamSeqHelper.type();

            typeCode_ = orb.create_struct_tc(id(), "AcceptorConfig", members);
        }

        return typeCode_;
    }

    public static String
    id()
    {
        return "IDL:ooc.com/OBPortableServer/AcceptorConfig:1.0";
    }

    public static AcceptorConfig
    read(org.omg.CORBA.portable.InputStream in)
    {
        AcceptorConfig _ob_v = new AcceptorConfig();
        _ob_v.id = com.ooc.OCI.PluginIdHelper.read(in);
        _ob_v.params = com.ooc.OCI.ParamSeqHelper.read(in);
        return _ob_v;
    }

    public static void
    write(org.omg.CORBA.portable.OutputStream out, AcceptorConfig val)
    {
        com.ooc.OCI.PluginIdHelper.write(out, val.id);
        com.ooc.OCI.ParamSeqHelper.write(out, val.params);
    }
}
