// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OBPortableServer;

//
// IDL:ooc.com/OBPortableServer/EndpointConfigurationPolicy:1.0
//
final public class EndpointConfigurationPolicyHolder implements org.omg.CORBA.portable.Streamable
{
    public EndpointConfigurationPolicy value;

    public
    EndpointConfigurationPolicyHolder()
    {
    }

    public
    EndpointConfigurationPolicyHolder(EndpointConfigurationPolicy initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = EndpointConfigurationPolicyHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        EndpointConfigurationPolicyHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return EndpointConfigurationPolicyHelper.type();
    }
}
