// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OBPortableServer;

//
// IDL:ooc.com/OBPortableServer/GIOPVersionPolicy:1.0
//
final public class GIOPVersionPolicyHolder implements org.omg.CORBA.portable.Streamable
{
    public GIOPVersionPolicy value;

    public
    GIOPVersionPolicyHolder()
    {
    }

    public
    GIOPVersionPolicyHolder(GIOPVersionPolicy initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = GIOPVersionPolicyHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        GIOPVersionPolicyHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return GIOPVersionPolicyHelper.type();
    }
}
