// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OBPortableServer;

//
// IDL:ooc.com/OBPortableServer/POAManager:1.0
//
/**
 *
 * This interface is a proprietary extension to the standard POAManager.
 *
 * @see PortableServer::POAManager
 *
 **/

public interface POAManagerOperations extends org.omg.PortableServer.POAManagerOperations
{
    //
    // IDL:ooc.com/OBPortableServer/POAManager/get_acceptors:1.0
    //
    /**
     *
     * Retrieve the acceptors associated with this POAManager.
     *
     * @return The acceptors.
     *
     **/

    com.ooc.OCI.Acceptor[]
    get_acceptors()
        throws org.omg.PortableServer.POAManagerPackage.AdapterInactive;
}
