// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OBPortableServer;

//
// IDL:ooc.com/OBPortableServer/SynchronizationPolicy:1.0
//
final public class SynchronizationPolicyHolder implements org.omg.CORBA.portable.Streamable
{
    public SynchronizationPolicy value;

    public
    SynchronizationPolicyHolder()
    {
    }

    public
    SynchronizationPolicyHolder(SynchronizationPolicy initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = SynchronizationPolicyHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        SynchronizationPolicyHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return SynchronizationPolicyHelper.type();
    }
}
