// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OCI;

//
// IDL:ooc.com/OCI/AcceptCB:1.0
//
/**
 *
 * An interface for an accept callback object.
 *
 * @see AcceptorInfo
 *
 **/

public interface AcceptCBOperations
{
    //
    // IDL:ooc.com/OCI/AcceptCB/accept_cb:1.0
    //
    /**
     *
     * Called after a new connection has been accepted. If the
     * application wishes to reject the connection
     * <code>CORBA::NO_PERMISSION</code> may be raised.
     *
     * @param transport_info The TransportInfo for the new connection.
     *
     **/

    void
    accept_cb(TransportInfo transport_info);
}
