// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OCI;

//
// IDL:ooc.com/OCI/ConFactorySeq:1.0
//
final public class ConFactorySeqHolder implements org.omg.CORBA.portable.Streamable
{
    public ConFactory[] value;

    public
    ConFactorySeqHolder()
    {
    }

    public
    ConFactorySeqHolder(ConFactory[] initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = ConFactorySeqHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        ConFactorySeqHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ConFactorySeqHelper.type();
    }
}
