// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OCI.IIOP;

//
// IDL:ooc.com/OCI/IIOP/AcceptorInfo:1.0
//
/**
 *
 * Information on an IIOP OCI Acceptor object.
 *
 * @see Acceptor
 * @see AcceptorInfo
 *
 **/

public interface AcceptorInfoOperations extends com.ooc.OCI.AcceptorInfoOperations
{
    //
    // IDL:ooc.com/OCI/IIOP/AcceptorInfo/hosts:1.0
    //
    /** Hostnames used for creation of IIOP object references. */

    String[]
    hosts();

    //
    // IDL:ooc.com/OCI/IIOP/AcceptorInfo/addr:1.0
    //
    /** The local IP address on which this acceptor accepts. */

    String
    addr();

    //
    // IDL:ooc.com/OCI/IIOP/AcceptorInfo/port:1.0
    //
    /** The local port on which this acceptor accepts. */

    short
    port();
}
