// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OCI.IIOP;

//
// IDL:ooc.com/OCI/IIOP/ConnectorInfo:1.0
//
final public class ConnectorInfoHolder implements org.omg.CORBA.portable.Streamable
{
    public ConnectorInfo value;

    public
    ConnectorInfoHolder()
    {
    }

    public
    ConnectorInfoHolder(ConnectorInfo initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = ConnectorInfoHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        ConnectorInfoHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ConnectorInfoHelper.type();
    }
}
