// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OCI.IIOP;

//
// IDL:ooc.com/OCI/IIOP/ConnectorInfo:1.0
//
/**
 *
 * Information on an IIOP OCI Connector object.
 *
 * @see Connector
 * @see ConnectorInfo
 *
 **/

public interface ConnectorInfoOperations extends com.ooc.OCI.ConnectorInfoOperations
{
    //
    // IDL:ooc.com/OCI/IIOP/ConnectorInfo/remote_addr:1.0
    //
    /** The remote IP address to which this connector connects. */

    String
    remote_addr();

    //
    // IDL:ooc.com/OCI/IIOP/ConnectorInfo/remote_port:1.0
    //
    /** The remote port to which this connector connects. */

    short
    remote_port();
}
