// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OCI.IIOP;

//
// IDL:ooc.com/OCI/IIOP/TransportInfo:1.0
//
/**
 *
 * Information on an IIOP OCI Transport object.
 *
 * @see Transport
 * @see TransportInfo
 *
 **/

public interface TransportInfoOperations extends com.ooc.OCI.TransportInfoOperations
{
    //
    // IDL:ooc.com/OCI/IIOP/TransportInfo/addr:1.0
    //
    /** The local IP address. */

    String
    addr();

    //
    // IDL:ooc.com/OCI/IIOP/TransportInfo/port:1.0
    //
    /** The local port. */

    short
    port();

    //
    // IDL:ooc.com/OCI/IIOP/TransportInfo/remote_addr:1.0
    //
    /** The remote IP address. */

    String
    remote_addr();

    //
    // IDL:ooc.com/OCI/IIOP/TransportInfo/remote_port:1.0
    //
    /** The remote port. */

    short
    remote_port();
}
