// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OCI;

//
// IDL:ooc.com/OCI/InvalidParam:1.0
//
/**
 *
 * A parameter is invalid.
 *
 * @member reason A description of the error.
 *
 **/

final public class InvalidParam extends org.omg.CORBA.UserException
{
    private static final String _ob_id = "IDL:ooc.com/OCI/InvalidParam:1.0";

    public
    InvalidParam()
    {
        super(_ob_id);
    }

    public
    InvalidParam(String reason)
    {
        super(_ob_id);
        this.reason = reason;
    }

    public
    InvalidParam(String _reason,
                 String reason)
    {
        super(_ob_id + " " + _reason);
        this.reason = reason;
    }

    public String reason;
}
