// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OCI;

//
// IDL:ooc.com/OCI/NoSuchFactory:1.0
//
/**
 *
 * No factory with the given plugin id could be found.
 *
 * @member id The plugin id.
 *
 **/

final public class NoSuchFactory extends org.omg.CORBA.UserException
{
    private static final String _ob_id = "IDL:ooc.com/OCI/NoSuchFactory:1.0";

    public
    NoSuchFactory()
    {
        super(_ob_id);
    }

    public
    NoSuchFactory(String id)
    {
        super(_ob_id);
        this.id = id;
    }

    public
    NoSuchFactory(String _reason,
                  String id)
    {
        super(_ob_id + " " + _reason);
        this.id = id;
    }

    public String id;
}
