// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.CORBA;

//
// IDL:omg.org/CORBA/DataInputStream:1.0
//
final public class DataInputStreamHolder implements org.omg.CORBA.portable.Streamable
{
    public DataInputStream value;

    public
    DataInputStreamHolder()
    {
    }

    public
    DataInputStreamHolder(DataInputStream initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = DataInputStreamHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        DataInputStreamHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return DataInputStreamHelper.type();
    }
}
