// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.CORBA;

//
// IDL:omg.org/CORBA/DataOutputStream:1.0
//
final public class DataOutputStreamHolder implements org.omg.CORBA.portable.Streamable
{
    public DataOutputStream value;

    public
    DataOutputStreamHolder()
    {
    }

    public
    DataOutputStreamHolder(DataOutputStream initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = DataOutputStreamHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        DataOutputStreamHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return DataOutputStreamHelper.type();
    }
}
