// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.CORBA;

//
// IDL:omg.org/CORBA/InterfaceDef:1.0
//
/***/

public interface InterfaceDefOperations extends ContainerOperations,
                                                ContainedOperations,
                                                IDLTypeOperations
{
    //
    // IDL:omg.org/CORBA/InterfaceDef/base_interfaces:1.0
    //
    /***/

    InterfaceDef[]
    base_interfaces();

    void
    base_interfaces(InterfaceDef[] val);

    //
    // IDL:omg.org/CORBA/InterfaceDef/is_a:1.0
    //
    /***/

    boolean
    is_a(String interface_id);

    //
    // IDL:omg.org/CORBA/InterfaceDef/describe_interface:1.0
    //
    /***/

    org.omg.CORBA.InterfaceDefPackage.FullInterfaceDescription
    describe_interface();

    //
    // IDL:omg.org/CORBA/InterfaceDef/create_attribute:1.0
    //
    /***/

    AttributeDef
    create_attribute(String id,
                     String name,
                     String version,
                     IDLType type,
                     AttributeMode mode);

    //
    // IDL:omg.org/CORBA/InterfaceDef/create_operation:1.0
    //
    /***/

    OperationDef
    create_operation(String id,
                     String name,
                     String version,
                     IDLType result,
                     OperationMode mode,
                     ParameterDescription[] params,
                     ExceptionDef[] exceptions,
                     String[] contexts);
}
