// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.CORBA;

//
// IDL:omg.org/CORBA/InvalidPolicies:1.0
//
/***/

final public class InvalidPolicies extends org.omg.CORBA.UserException
{
    private static final String _ob_id = "IDL:omg.org/CORBA/InvalidPolicies:1.0";

    public
    InvalidPolicies()
    {
        super(_ob_id);
    }

    public
    InvalidPolicies(short[] indices)
    {
        super(_ob_id);
        this.indices = indices;
    }

    public
    InvalidPolicies(String _reason,
                    short[] indices)
    {
        super(_ob_id + " " + _reason);
        this.indices = indices;
    }

    public short[] indices;
}
