// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.CORBA;

//
// IDL:omg.org/CORBA/PollableSet:1.0
//
/***/

public interface PollableSetOperations
{
    //
    // IDL:omg.org/CORBA/PollableSet/create_dii_pollable:1.0
    //
    /***/

    DIIPollable
    create_dii_pollable();

    //
    // IDL:omg.org/CORBA/PollableSet/add_pollable:1.0
    //
    /***/

    void
    add_pollable(Pollable potential);

    //
    // IDL:omg.org/CORBA/PollableSet/get_ready_pollable:1.0
    //
    /***/

    Pollable
    get_ready_pollable(int timeout)
        throws org.omg.CORBA.PollableSetPackage.NoPossiblePollable;

    //
    // IDL:omg.org/CORBA/PollableSet/remove:1.0
    //
    /***/

    void
    remove(Pollable potential)
        throws org.omg.CORBA.PollableSetPackage.UnknownPollable;

    //
    // IDL:omg.org/CORBA/PollableSet/number_left:1.0
    //
    /***/

    short
    number_left();
}
