// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.CORBA;

//
// IDL:omg.org/CORBA/SetOverrideType:1.0
//
/***/

public class SetOverrideType implements org.omg.CORBA.portable.IDLEntity
{
    private static SetOverrideType [] values_ = new SetOverrideType[2];
    private int value_;

    public final static int _SET_OVERRIDE = 0;
    public final static SetOverrideType SET_OVERRIDE = new SetOverrideType(_SET_OVERRIDE);
    public final static int _ADD_OVERRIDE = 1;
    public final static SetOverrideType ADD_OVERRIDE = new SetOverrideType(_ADD_OVERRIDE);

    protected
    SetOverrideType(int value)
    {
        values_[value] = this;
        value_ = value;
    }

    public int
    value()
    {
        return value_;
    }

    public static SetOverrideType
    from_int(int value)
    {
        if(value < values_.length)
            return values_[value];
        else
            throw new org.omg.CORBA.BAD_PARAM("Value (" + value  + ") out of range", 25, org.omg.CORBA.CompletionStatus.COMPLETED_NO);
    }

    private java.lang.Object
    readResolve()
        throws java.io.ObjectStreamException
    {
        return from_int(value());
    }
}
