// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.CORBA;

//
// IDL:omg.org/CORBA/StringValue:1.0
//
final public class StringValueHolder implements org.omg.CORBA.portable.Streamable
{
    public String value;

    public
    StringValueHolder()
    {
    }

    public
    StringValueHolder(String initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = StringValueHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        StringValueHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return StringValueHelper.type();
    }
}
