// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.CORBA;

//
// IDL:omg.org/CORBA/UShortSeq:1.0
//
final public class UShortSeqHolder implements org.omg.CORBA.portable.Streamable
{
    public short[] value;

    public
    UShortSeqHolder()
    {
    }

    public
    UShortSeqHolder(short[] initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = UShortSeqHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        UShortSeqHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return UShortSeqHelper.type();
    }
}
