// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.CORBA;

//
// IDL:omg.org/CORBA/UnionDef:1.0
//
/***/

public interface UnionDefOperations extends TypedefDefOperations,
                                            ContainerOperations
{
    //
    // IDL:omg.org/CORBA/UnionDef/discriminator_type:1.0
    //
    /***/

    org.omg.CORBA.TypeCode
    discriminator_type();

    //
    // IDL:omg.org/CORBA/UnionDef/discriminator_type_def:1.0
    //
    /***/

    IDLType
    discriminator_type_def();

    void
    discriminator_type_def(IDLType val);

    //
    // IDL:omg.org/CORBA/UnionDef/members:1.0
    //
    /***/

    UnionMember[]
    members();

    void
    members(UnionMember[] val);

    //
    // IDL:omg.org/CORBA/UnionDef/_OB_isForwardDcl:1.0
    //
    /***/

    boolean
    _OB_isForwardDcl();

    //
    // IDL:omg.org/CORBA/UnionDef/_OB_setForwardDcl:1.0
    //
    /***/

    void
    _OB_setForwardDcl(boolean fwd_dcl);
}
