// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.CORBA;

//
// IDL:omg.org/CORBA/UnionMemberSeq:1.0
//
final public class UnionMemberSeqHelper
{
    public static void
    insert(org.omg.CORBA.Any any, UnionMember[] val)
    {
        org.omg.CORBA.portable.OutputStream out = any.create_output_stream();
        write(out, val);
        any.read_value(out.create_input_stream(), type());
    }

    public static UnionMember[]
    extract(org.omg.CORBA.Any any)
    {
        if(any.type().equivalent(type()))
            return read(any.create_input_stream());
        else
            throw new org.omg.CORBA.BAD_OPERATION();
    }

    private static org.omg.CORBA.TypeCode typeCode_;

    public static org.omg.CORBA.TypeCode
    type()
    {
        if(typeCode_ == null)
        {
            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
            typeCode_ = orb.create_alias_tc(id(), "UnionMemberSeq", orb.create_sequence_tc(0, UnionMemberHelper.type()));
        }

        return typeCode_;
    }

    public static String
    id()
    {
        return "IDL:omg.org/CORBA/UnionMemberSeq:1.0";
    }

    public static UnionMember[]
    read(org.omg.CORBA.portable.InputStream in)
    {
        UnionMember[] _ob_v;
        int len0 = in.read_ulong();
        _ob_v = new UnionMember[len0];
        for(int i0 = 0; i0 < len0; i0++)
            _ob_v[i0] = UnionMemberHelper.read(in);
        return _ob_v;
    }

    public static void
    write(org.omg.CORBA.portable.OutputStream out, UnionMember[] val)
    {
        int len0 = val.length;
        out.write_ulong(len0);
        for(int i0 = 0; i0 < len0; i0++)
            UnionMemberHelper.write(out, val[i0]);
    }
}
