// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.Dynamic;

//
// IDL:omg.org/Dynamic/Parameter:1.0
//
final public class ParameterHolder implements org.omg.CORBA.portable.Streamable
{
    public Parameter value;

    public
    ParameterHolder()
    {
    }

    public
    ParameterHolder(Parameter initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = ParameterHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        ParameterHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ParameterHelper.type();
    }
}
