// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.Dynamic;

//
// IDL:omg.org/Dynamic/ParameterList:1.0
//
final public class ParameterListHolder implements org.omg.CORBA.portable.Streamable
{
    public Parameter[] value;

    public
    ParameterListHolder()
    {
    }

    public
    ParameterListHolder(Parameter[] initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = ParameterListHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        ParameterListHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ParameterListHelper.type();
    }
}
