// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.DynamicAny;

//
// IDL:omg.org/DynamicAny/DynAny:1.0
//
final public class DynAnyHolder implements org.omg.CORBA.portable.Streamable
{
    public DynAny value;

    public
    DynAnyHolder()
    {
    }

    public
    DynAnyHolder(DynAny initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = DynAnyHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        DynAnyHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return DynAnyHelper.type();
    }
}
