// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.DynamicAny;

//
// IDL:omg.org/DynamicAny/DynSequence:1.0
//
/***/

public interface DynSequenceOperations extends DynAnyOperations
{
    //
    // IDL:omg.org/DynamicAny/DynSequence/get_length:1.0
    //
    /***/

    int
    get_length();

    //
    // IDL:omg.org/DynamicAny/DynSequence/set_length:1.0
    //
    /***/

    void
    set_length(int len)
        throws org.omg.DynamicAny.DynAnyPackage.InvalidValue;

    //
    // IDL:omg.org/DynamicAny/DynSequence/get_elements:1.0
    //
    /***/

    org.omg.CORBA.Any[]
    get_elements();

    //
    // IDL:omg.org/DynamicAny/DynSequence/set_elements:1.0
    //
    /***/

    void
    set_elements(org.omg.CORBA.Any[] value)
        throws org.omg.DynamicAny.DynAnyPackage.TypeMismatch,
               org.omg.DynamicAny.DynAnyPackage.InvalidValue;

    //
    // IDL:omg.org/DynamicAny/DynSequence/get_elements_as_dyn_any:1.0
    //
    /***/

    DynAny[]
    get_elements_as_dyn_any();

    //
    // IDL:omg.org/DynamicAny/DynSequence/set_elements_as_dyn_any:1.0
    //
    /***/

    void
    set_elements_as_dyn_any(DynAny[] value)
        throws org.omg.DynamicAny.DynAnyPackage.TypeMismatch,
               org.omg.DynamicAny.DynAnyPackage.InvalidValue;
}
