// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.DynamicAny;

//
// IDL:omg.org/DynamicAny/DynValueBox:1.0
//
/***/

public interface DynValueBoxOperations extends DynValueCommonOperations
{
    //
    // IDL:omg.org/DynamicAny/DynValueBox/get_boxed_value:1.0
    //
    /***/

    org.omg.CORBA.Any
    get_boxed_value()
        throws org.omg.DynamicAny.DynAnyPackage.InvalidValue;

    //
    // IDL:omg.org/DynamicAny/DynValueBox/set_boxed_value:1.0
    //
    /***/

    void
    set_boxed_value(org.omg.CORBA.Any boxed)
        throws org.omg.DynamicAny.DynAnyPackage.TypeMismatch,
               org.omg.DynamicAny.DynAnyPackage.InvalidValue;

    //
    // IDL:omg.org/DynamicAny/DynValueBox/get_boxed_value_as_dyn_any:1.0
    //
    /***/

    DynAny
    get_boxed_value_as_dyn_any()
        throws org.omg.DynamicAny.DynAnyPackage.InvalidValue;

    //
    // IDL:omg.org/DynamicAny/DynValueBox/set_boxed_value_as_dyn_any:1.0
    //
    /***/

    void
    set_boxed_value_as_dyn_any(DynAny boxed)
        throws org.omg.DynamicAny.DynAnyPackage.TypeMismatch;
}
