// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.DynamicAny;

//
// IDL:omg.org/DynamicAny/DynValue:1.0
//
/***/

public interface DynValueOperations extends DynValueCommonOperations
{
    //
    // IDL:omg.org/DynamicAny/DynValue/current_member_name:1.0
    //
    /***/

    String
    current_member_name()
        throws org.omg.DynamicAny.DynAnyPackage.TypeMismatch,
               org.omg.DynamicAny.DynAnyPackage.InvalidValue;

    //
    // IDL:omg.org/DynamicAny/DynValue/current_member_kind:1.0
    //
    /***/

    org.omg.CORBA.TCKind
    current_member_kind()
        throws org.omg.DynamicAny.DynAnyPackage.TypeMismatch,
               org.omg.DynamicAny.DynAnyPackage.InvalidValue;

    //
    // IDL:omg.org/DynamicAny/DynValue/get_members:1.0
    //
    /***/

    NameValuePair[]
    get_members()
        throws org.omg.DynamicAny.DynAnyPackage.InvalidValue;

    //
    // IDL:omg.org/DynamicAny/DynValue/set_members:1.0
    //
    /***/

    void
    set_members(NameValuePair[] value)
        throws org.omg.DynamicAny.DynAnyPackage.TypeMismatch,
               org.omg.DynamicAny.DynAnyPackage.InvalidValue;

    //
    // IDL:omg.org/DynamicAny/DynValue/get_members_as_dyn_any:1.0
    //
    /***/

    NameDynAnyPair[]
    get_members_as_dyn_any()
        throws org.omg.DynamicAny.DynAnyPackage.InvalidValue;

    //
    // IDL:omg.org/DynamicAny/DynValue/set_members_as_dyn_any:1.0
    //
    /***/

    void
    set_members_as_dyn_any(NameDynAnyPair[] value)
        throws org.omg.DynamicAny.DynAnyPackage.TypeMismatch,
               org.omg.DynamicAny.DynAnyPackage.InvalidValue;
}
