// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.GIOP;

//
// IDL:omg.org/GIOP/LocateReplyHeader_1_0:1.0
//
final public class LocateReplyHeader_1_0Helper
{
    public static void
    insert(org.omg.CORBA.Any any, LocateReplyHeader_1_0 val)
    {
        org.omg.CORBA.portable.OutputStream out = any.create_output_stream();
        write(out, val);
        any.read_value(out.create_input_stream(), type());
    }

    public static LocateReplyHeader_1_0
    extract(org.omg.CORBA.Any any)
    {
        if(any.type().equivalent(type()))
            return read(any.create_input_stream());
        else
            throw new org.omg.CORBA.BAD_OPERATION();
    }

    private static org.omg.CORBA.TypeCode typeCode_;

    public static org.omg.CORBA.TypeCode
    type()
    {
        if(typeCode_ == null)
        {
            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
            org.omg.CORBA.StructMember[] members = new org.omg.CORBA.StructMember[2];

            members[0] = new org.omg.CORBA.StructMember();
            members[0].name = "request_id";
            members[0].type = orb.get_primitive_tc(org.omg.CORBA.TCKind.tk_ulong);

            members[1] = new org.omg.CORBA.StructMember();
            members[1].name = "locate_status";
            members[1].type = LocateStatusType_1_2Helper.type();

            typeCode_ = orb.create_struct_tc(id(), "LocateReplyHeader_1_0", members);
        }

        return typeCode_;
    }

    public static String
    id()
    {
        return "IDL:omg.org/GIOP/LocateReplyHeader_1_0:1.0";
    }

    public static LocateReplyHeader_1_0
    read(org.omg.CORBA.portable.InputStream in)
    {
        LocateReplyHeader_1_0 _ob_v = new LocateReplyHeader_1_0();
        _ob_v.request_id = in.read_ulong();
        _ob_v.locate_status = LocateStatusType_1_2Helper.read(in);
        return _ob_v;
    }

    public static void
    write(org.omg.CORBA.portable.OutputStream out, LocateReplyHeader_1_0 val)
    {
        out.write_ulong(val.request_id);
        LocateStatusType_1_2Helper.write(out, val.locate_status);
    }
}
