// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.GIOP;

//
// IDL:omg.org/GIOP/MsgType_1_1:1.0
//
final public class MsgType_1_1Helper
{
    public static void
    insert(org.omg.CORBA.Any any, MsgType_1_1 val)
    {
        org.omg.CORBA.portable.OutputStream out = any.create_output_stream();
        write(out, val);
        any.read_value(out.create_input_stream(), type());
    }

    public static MsgType_1_1
    extract(org.omg.CORBA.Any any)
    {
        if(any.type().equivalent(type()))
            return read(any.create_input_stream());
        else
            throw new org.omg.CORBA.BAD_OPERATION();
    }

    private static org.omg.CORBA.TypeCode typeCode_;

    public static org.omg.CORBA.TypeCode
    type()
    {
        if(typeCode_ == null)
        {
            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
            String[] members = new String[8];
            members[0] = "Request";
            members[1] = "Reply";
            members[2] = "CancelRequest";
            members[3] = "LocateRequest";
            members[4] = "LocateReply";
            members[5] = "CloseConnection";
            members[6] = "MessageError";
            members[7] = "Fragment";
            typeCode_ = orb.create_enum_tc(id(), "MsgType_1_1", members);
        }

        return typeCode_;
    }

    public static String
    id()
    {
        return "IDL:omg.org/GIOP/MsgType_1_1:1.0";
    }

    public static MsgType_1_1
    read(org.omg.CORBA.portable.InputStream in)
    {
        MsgType_1_1 _ob_v;
        _ob_v = MsgType_1_1.from_int(in.read_ulong());
        return _ob_v;
    }

    public static void
    write(org.omg.CORBA.portable.OutputStream out, MsgType_1_1 val)
    {
        out.write_ulong(val.value());
    }
}
