// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.IIOP;

//
// IDL:omg.org/IIOP/BiDirIIOPServiceContext:1.0
//
final public class BiDirIIOPServiceContextHelper
{
    public static void
    insert(org.omg.CORBA.Any any, BiDirIIOPServiceContext val)
    {
        org.omg.CORBA.portable.OutputStream out = any.create_output_stream();
        write(out, val);
        any.read_value(out.create_input_stream(), type());
    }

    public static BiDirIIOPServiceContext
    extract(org.omg.CORBA.Any any)
    {
        if(any.type().equivalent(type()))
            return read(any.create_input_stream());
        else
            throw new org.omg.CORBA.BAD_OPERATION();
    }

    private static org.omg.CORBA.TypeCode typeCode_;

    public static org.omg.CORBA.TypeCode
    type()
    {
        if(typeCode_ == null)
        {
            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
            org.omg.CORBA.StructMember[] members = new org.omg.CORBA.StructMember[1];

            members[0] = new org.omg.CORBA.StructMember();
            members[0].name = "listen_points";
            members[0].type = ListenPointListHelper.type();

            typeCode_ = orb.create_struct_tc(id(), "BiDirIIOPServiceContext", members);
        }

        return typeCode_;
    }

    public static String
    id()
    {
        return "IDL:omg.org/IIOP/BiDirIIOPServiceContext:1.0";
    }

    public static BiDirIIOPServiceContext
    read(org.omg.CORBA.portable.InputStream in)
    {
        BiDirIIOPServiceContext _ob_v = new BiDirIIOPServiceContext();
        _ob_v.listen_points = ListenPointListHelper.read(in);
        return _ob_v;
    }

    public static void
    write(org.omg.CORBA.portable.OutputStream out, BiDirIIOPServiceContext val)
    {
        ListenPointListHelper.write(out, val.listen_points);
    }
}
