// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.IOP;

//
// IDL:omg.org/IOP/Codec:1.0
//
/***/

public interface CodecOperations
{
    //
    // IDL:omg.org/IOP/Codec/encode:1.0
    //
    /***/

    byte[]
    encode(org.omg.CORBA.Any data)
        throws org.omg.IOP.CodecPackage.InvalidTypeForEncoding;

    //
    // IDL:omg.org/IOP/Codec/decode:1.0
    //
    /***/

    org.omg.CORBA.Any
    decode(byte[] data)
        throws org.omg.IOP.CodecPackage.FormatMismatch;

    //
    // IDL:omg.org/IOP/Codec/encode_value:1.0
    //
    /***/

    byte[]
    encode_value(org.omg.CORBA.Any data)
        throws org.omg.IOP.CodecPackage.InvalidTypeForEncoding;

    //
    // IDL:omg.org/IOP/Codec/decode_value:1.0
    //
    /***/

    org.omg.CORBA.Any
    decode_value(byte[] data,
                 org.omg.CORBA.TypeCode tc)
        throws org.omg.IOP.CodecPackage.FormatMismatch,
               org.omg.IOP.CodecPackage.TypeMismatch;
}
