// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.IOP;

//
// IDL:omg.org/IOP/IOR:1.0
//
final public class IORHolder implements org.omg.CORBA.portable.Streamable
{
    public IOR value;

    public
    IORHolder()
    {
    }

    public
    IORHolder(IOR initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = IORHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        IORHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return IORHelper.type();
    }
}
