// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.IOP;

//
// IDL:omg.org/IOP/ServiceContext:1.0
//
final public class ServiceContextHolder implements org.omg.CORBA.portable.Streamable
{
    public ServiceContext value;

    public
    ServiceContextHolder()
    {
    }

    public
    ServiceContextHolder(ServiceContext initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = ServiceContextHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        ServiceContextHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ServiceContextHelper.type();
    }
}
