// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.IOP;

//
// IDL:omg.org/IOP/TaggedComponent:1.0
//
final public class TaggedComponentHolder implements org.omg.CORBA.portable.Streamable
{
    public TaggedComponent value;

    public
    TaggedComponentHolder()
    {
    }

    public
    TaggedComponentHolder(TaggedComponent initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = TaggedComponentHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        TaggedComponentHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return TaggedComponentHelper.type();
    }
}
