// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.MessageRouting;

//
// IDL:omg.org/MessageRouting/InvalidState:1.0
//
/***/

final public class InvalidState extends org.omg.CORBA.UserException
{
    private static final String _ob_id = "IDL:omg.org/MessageRouting/InvalidState:1.0";

    public
    InvalidState()
    {
        super(_ob_id);
    }

    public
    InvalidState(short registration_state)
    {
        super(_ob_id);
        this.registration_state = registration_state;
    }

    public
    InvalidState(String _reason,
                 short registration_state)
    {
        super(_ob_id + " " + _reason);
        this.registration_state = registration_state;
    }

    public short registration_state;
}
