// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.MessageRouting;

//
// IDL:omg.org/MessageRouting/PersistentRequest:1.0
//
/***/

public interface PersistentRequestOperations
{
    //
    // IDL:omg.org/MessageRouting/PersistentRequest/reply_available:1.0
    //
    /***/

    boolean
    reply_available();

    //
    // IDL:omg.org/MessageRouting/PersistentRequest/get_reply:1.0
    //
    /***/

    org.omg.GIOP.ReplyStatusType_1_2
    get_reply(boolean blocking,
              int timeout,
              MessageBodyHolder reply_body)
        throws ReplyNotAvailable;

    //
    // IDL:omg.org/MessageRouting/PersistentRequest/associated_handler:1.0
    //
    /***/

    org.omg.Messaging.ReplyHandler
    associated_handler();

    void
    associated_handler(org.omg.Messaging.ReplyHandler val);
}
