// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.MessageRouting;

//
// IDL:omg.org/MessageRouting/ReplyDisposition:1.0
//
final public class ReplyDispositionHelper
{
    public static void
    insert(org.omg.CORBA.Any any, ReplyDisposition val)
    {
        org.omg.CORBA.portable.OutputStream out = any.create_output_stream();
        write(out, val);
        any.read_value(out.create_input_stream(), type());
    }

    public static ReplyDisposition
    extract(org.omg.CORBA.Any any)
    {
        if(any.type().equivalent(type()))
            return read(any.create_input_stream());
        else
            throw new org.omg.CORBA.BAD_OPERATION();
    }

    private static org.omg.CORBA.TypeCode typeCode_;

    public static org.omg.CORBA.TypeCode
    type()
    {
        if(typeCode_ == null)
        {
            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
            String[] members = new String[2];
            members[0] = "TYPED";
            members[1] = "UNTYPED";
            typeCode_ = orb.create_enum_tc(id(), "ReplyDisposition", members);
        }

        return typeCode_;
    }

    public static String
    id()
    {
        return "IDL:omg.org/MessageRouting/ReplyDisposition:1.0";
    }

    public static ReplyDisposition
    read(org.omg.CORBA.portable.InputStream in)
    {
        ReplyDisposition _ob_v;
        _ob_v = ReplyDisposition.from_int(in.read_ulong());
        return _ob_v;
    }

    public static void
    write(org.omg.CORBA.portable.OutputStream out, ReplyDisposition val)
    {
        out.write_ulong(val.value());
    }
}
