// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.MessageRouting;

//
// IDL:omg.org/MessageRouting/RequestMessage:1.0
//
/***/

final public class RequestMessage implements org.omg.CORBA.portable.IDLEntity
{
    private static final String _ob_id = "IDL:omg.org/MessageRouting/RequestMessage:1.0";

    public
    RequestMessage()
    {
    }

    public
    RequestMessage(org.omg.GIOP.Version giop_version,
                   org.omg.IOP.ServiceContext[] service_contexts,
                   byte response_flags,
                   byte[] reserved,
                   byte[] object_key,
                   String operation,
                   MessageBody body)
    {
        this.giop_version = giop_version;
        this.service_contexts = service_contexts;
        this.response_flags = response_flags;
        this.reserved = reserved;
        this.object_key = object_key;
        this.operation = operation;
        this.body = body;
    }

    public org.omg.GIOP.Version giop_version;
    public org.omg.IOP.ServiceContext[] service_contexts;
    public byte response_flags;
    public byte[] reserved;
    public byte[] object_key;
    public String operation;
    public MessageBody body;
}
