// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.MessageRouting;

//
// IDL:omg.org/MessageRouting/RequestMessage:1.0
//
final public class RequestMessageHolder implements org.omg.CORBA.portable.Streamable
{
    public RequestMessage value;

    public
    RequestMessageHolder()
    {
    }

    public
    RequestMessageHolder(RequestMessage initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = RequestMessageHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        RequestMessageHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return RequestMessageHelper.type();
    }
}
