// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.MessageRouting;

//
// IDL:omg.org/MessageRouting/RouterAdmin:1.0
//
/***/

public interface RouterAdminOperations
{
    //
    // IDL:omg.org/MessageRouting/RouterAdmin/register_destination:1.0
    //
    /***/

    void
    register_destination(org.omg.CORBA.Object dest,
                         boolean is_router,
                         RetryPolicy retry,
                         DecayPolicy decay);

    //
    // IDL:omg.org/MessageRouting/RouterAdmin/suspend_destination:1.0
    //
    /***/

    void
    suspend_destination(org.omg.CORBA.Object dest,
                        ResumePolicy resumption)
        throws InvalidState;

    //
    // IDL:omg.org/MessageRouting/RouterAdmin/resume_destination:1.0
    //
    /***/

    void
    resume_destination(org.omg.CORBA.Object dest)
        throws InvalidState;

    //
    // IDL:omg.org/MessageRouting/RouterAdmin/unregister_destination:1.0
    //
    /***/

    void
    unregister_destination(org.omg.CORBA.Object dest)
        throws InvalidState;
}
