// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.Messaging;

//
// IDL:omg.org/Messaging/RebindPolicy:1.0
//
final public class RebindPolicyHolder implements org.omg.CORBA.portable.Streamable
{
    public RebindPolicy value;

    public
    RebindPolicyHolder()
    {
    }

    public
    RebindPolicyHolder(RebindPolicy initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = RebindPolicyHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        RebindPolicyHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return RebindPolicyHelper.type();
    }
}
