// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.PortableInterceptor;

//
// IDL:omg.org/PortableInterceptor/ClientRequestInterceptor:1.0
//
/***/

public interface ClientRequestInterceptorOperations extends InterceptorOperations
{
    //
    // IDL:omg.org/PortableInterceptor/ClientRequestInterceptor/send_request:1.0
    //
    /***/

    void
    send_request(ClientRequestInfo ri)
        throws ForwardRequest;

    //
    // IDL:omg.org/PortableInterceptor/ClientRequestInterceptor/send_poll:1.0
    //
    /***/

    void
    send_poll(ClientRequestInfo ri);

    //
    // IDL:omg.org/PortableInterceptor/ClientRequestInterceptor/receive_reply:1.0
    //
    /***/

    void
    receive_reply(ClientRequestInfo ri);

    //
    // IDL:omg.org/PortableInterceptor/ClientRequestInterceptor/receive_exception:1.0
    //
    /***/

    void
    receive_exception(ClientRequestInfo ri)
        throws ForwardRequest;

    //
    // IDL:omg.org/PortableInterceptor/ClientRequestInterceptor/receive_other:1.0
    //
    /***/

    void
    receive_other(ClientRequestInfo ri)
        throws ForwardRequest;
}
