// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.PortableInterceptor;

//
// IDL:omg.org/PortableInterceptor/IORInfo:1.0
//
final public class IORInfoHolder implements org.omg.CORBA.portable.Streamable
{
    public IORInfo value;

    public
    IORInfoHolder()
    {
    }

    public
    IORInfoHolder(IORInfo initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = IORInfoHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        IORInfoHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return IORInfoHelper.type();
    }
}
