// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.PortableInterceptor;

//
// IDL:omg.org/PortableInterceptor/IORInfo:1.0
//
/***/

public interface IORInfoOperations
{
    //
    // IDL:omg.org/PortableInterceptor/IORInfo/get_effective_policy:1.0
    //
    /***/

    org.omg.CORBA.Policy
    get_effective_policy(int type);

    //
    // IDL:omg.org/PortableInterceptor/IORInfo/add_ior_component:1.0
    //
    /***/

    void
    add_ior_component(org.omg.IOP.TaggedComponent a_component);

    //
    // IDL:omg.org/PortableInterceptor/IORInfo/add_ior_component_to_profile:1.0
    //
    /***/

    void
    add_ior_component_to_profile(org.omg.IOP.TaggedComponent a_component,
                                 int profile_id);

    //
    // IDL:omg.org/PortableInterceptor/IORInfo/adapter_template:1.0
    //
    /***/

    ObjectReferenceTemplate
    adapter_template();

    //
    // IDL:omg.org/PortableInterceptor/IORInfo/current_factory:1.0
    //
    /***/

    ObjectReferenceFactory
    current_factory();

    void
    current_factory(ObjectReferenceFactory val);

    //
    // IDL:omg.org/PortableInterceptor/IORInfo/manager_id:1.0
    //
    /***/

    String
    manager_id();

    //
    // IDL:omg.org/PortableInterceptor/IORInfo/state:1.0
    //
    /***/

    short
    state();
}
