// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.PortableInterceptor;

//
// IDL:omg.org/PortableInterceptor/Interceptor:1.0
//
final public class InterceptorHolder implements org.omg.CORBA.portable.Streamable
{
    public Interceptor value;

    public
    InterceptorHolder()
    {
    }

    public
    InterceptorHolder(Interceptor initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = InterceptorHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        InterceptorHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return InterceptorHelper.type();
    }
}
