// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.PortableInterceptor;

//
// IDL:omg.org/PortableInterceptor/ORBInitInfo:1.0
//
final public class ORBInitInfoHolder implements org.omg.CORBA.portable.Streamable
{
    public ORBInitInfo value;

    public
    ORBInitInfoHolder()
    {
    }

    public
    ORBInitInfoHolder(ORBInitInfo initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = ORBInitInfoHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        ORBInitInfoHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ORBInitInfoHelper.type();
    }
}
