// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.PortableInterceptor;

//
// IDL:omg.org/PortableInterceptor/ServerRequestInterceptor:1.0
//
/***/

public interface ServerRequestInterceptorOperations extends InterceptorOperations
{
    //
    // IDL:omg.org/PortableInterceptor/ServerRequestInterceptor/receive_request_service_contexts:1.0
    //
    /***/

    void
    receive_request_service_contexts(ServerRequestInfo ri)
        throws ForwardRequest;

    //
    // IDL:omg.org/PortableInterceptor/ServerRequestInterceptor/receive_request:1.0
    //
    /***/

    void
    receive_request(ServerRequestInfo ri)
        throws ForwardRequest;

    //
    // IDL:omg.org/PortableInterceptor/ServerRequestInterceptor/send_reply:1.0
    //
    /***/

    void
    send_reply(ServerRequestInfo ri);

    //
    // IDL:omg.org/PortableInterceptor/ServerRequestInterceptor/send_exception:1.0
    //
    /***/

    void
    send_exception(ServerRequestInfo ri)
        throws ForwardRequest;

    //
    // IDL:omg.org/PortableInterceptor/ServerRequestInterceptor/send_other:1.0
    //
    /***/

    void
    send_other(ServerRequestInfo ri)
        throws ForwardRequest;
}
