// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.PortableServer.CurrentPackage;

//
// IDL:omg.org/PortableServer/Current/NoContext:1.0
//
final public class NoContextHolder implements org.omg.CORBA.portable.Streamable
{
    public NoContext value;

    public
    NoContextHolder()
    {
    }

    public
    NoContextHolder(NoContext initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = NoContextHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        NoContextHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return NoContextHelper.type();
    }
}
