// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.PortableServer;

//
// IDL:omg.org/PortableServer/ForwardRequest:1.0
//
/***/

final public class ForwardRequest extends org.omg.CORBA.UserException
{
    private static final String _ob_id = "IDL:omg.org/PortableServer/ForwardRequest:1.0";

    public
    ForwardRequest()
    {
        super(_ob_id);
    }

    public
    ForwardRequest(org.omg.CORBA.Object forward_reference)
    {
        super(_ob_id);
        this.forward_reference = forward_reference;
    }

    public
    ForwardRequest(String _reason,
                   org.omg.CORBA.Object forward_reference)
    {
        super(_ob_id + " " + _reason);
        this.forward_reference = forward_reference;
    }

    public org.omg.CORBA.Object forward_reference;
}
