// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.PortableServer;

//
// IDL:omg.org/PortableServer/LifespanPolicy:1.0
//
final public class LifespanPolicyHolder implements org.omg.CORBA.portable.Streamable
{
    public LifespanPolicy value;

    public
    LifespanPolicyHolder()
    {
    }

    public
    LifespanPolicyHolder(LifespanPolicy initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = LifespanPolicyHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        LifespanPolicyHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return LifespanPolicyHelper.type();
    }
}
