// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.PortableServer.POAManagerPackage;

//
// IDL:omg.org/PortableServer/POAManager/State:1.0
//
final public class StateHolder implements org.omg.CORBA.portable.Streamable
{
    public State value;

    public
    StateHolder()
    {
    }

    public
    StateHolder(State initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = StateHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        StateHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return StateHelper.type();
    }
}
