// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.PortableServer;

//
// IDL:omg.org/PortableServer/RequestProcessingPolicyValue:1.0
//
final public class RequestProcessingPolicyValueHelper
{
    public static void
    insert(org.omg.CORBA.Any any, RequestProcessingPolicyValue val)
    {
        org.omg.CORBA.portable.OutputStream out = any.create_output_stream();
        write(out, val);
        any.read_value(out.create_input_stream(), type());
    }

    public static RequestProcessingPolicyValue
    extract(org.omg.CORBA.Any any)
    {
        if(any.type().equivalent(type()))
            return read(any.create_input_stream());
        else
            throw new org.omg.CORBA.BAD_OPERATION();
    }

    private static org.omg.CORBA.TypeCode typeCode_;

    public static org.omg.CORBA.TypeCode
    type()
    {
        if(typeCode_ == null)
        {
            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
            String[] members = new String[3];
            members[0] = "USE_ACTIVE_OBJECT_MAP_ONLY";
            members[1] = "USE_DEFAULT_SERVANT";
            members[2] = "USE_SERVANT_MANAGER";
            typeCode_ = orb.create_enum_tc(id(), "RequestProcessingPolicyValue", members);
        }

        return typeCode_;
    }

    public static String
    id()
    {
        return "IDL:omg.org/PortableServer/RequestProcessingPolicyValue:1.0";
    }

    public static RequestProcessingPolicyValue
    read(org.omg.CORBA.portable.InputStream in)
    {
        RequestProcessingPolicyValue _ob_v;
        _ob_v = RequestProcessingPolicyValue.from_int(in.read_ulong());
        return _ob_v;
    }

    public static void
    write(org.omg.CORBA.portable.OutputStream out, RequestProcessingPolicyValue val)
    {
        out.write_ulong(val.value());
    }
}
