// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.PortableServer;

//
// IDL:omg.org/PortableServer/ServantActivator:2.3
//
/***/

public interface ServantActivatorOperations extends ServantManagerOperations
{
    //
    // IDL:omg.org/PortableServer/ServantActivator/incarnate:1.0
    //
    /***/

    Servant
    incarnate(byte[] oid,
              POA adapter)
        throws ForwardRequest;

    //
    // IDL:omg.org/PortableServer/ServantActivator/etherealize:1.0
    //
    /***/

    void
    etherealize(byte[] oid,
                POA adapter,
                Servant serv,
                boolean cleanup_in_progress,
                boolean remaining_activations);
}
