// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.PortableServer;

//
// IDL:omg.org/PortableServer/ThreadPolicyValue:1.0
//
final public class ThreadPolicyValueHolder implements org.omg.CORBA.portable.Streamable
{
    public ThreadPolicyValue value;

    public
    ThreadPolicyValueHolder()
    {
    }

    public
    ThreadPolicyValueHolder(ThreadPolicyValue initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = ThreadPolicyValueHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        ThreadPolicyValueHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ThreadPolicyValueHelper.type();
    }
}
