// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************
package org.omg.CORBA;

public abstract class TypeCode implements org.omg.CORBA.portable.IDLEntity
{
    public abstract boolean equal(TypeCode tc);
    public abstract boolean equivalent(TypeCode tc);
    public abstract TypeCode get_compact_typecode();
    public abstract TCKind kind();

    public abstract String id()
	throws org.omg.CORBA.TypeCodePackage.BadKind;
    public abstract String name()
	throws org.omg.CORBA.TypeCodePackage.BadKind;

    public abstract int member_count()
	throws org.omg.CORBA.TypeCodePackage.BadKind;
    public abstract String member_name(int index)
	throws org.omg.CORBA.TypeCodePackage.BadKind,
	       org.omg.CORBA.TypeCodePackage.Bounds;

    public abstract TypeCode member_type(int index)
	throws org.omg.CORBA.TypeCodePackage.BadKind,
	       org.omg.CORBA.TypeCodePackage.Bounds;

    public abstract Any member_label(int index)
	throws org.omg.CORBA.TypeCodePackage.BadKind,
	       org.omg.CORBA.TypeCodePackage.Bounds;
    public abstract TypeCode discriminator_type()
	throws org.omg.CORBA.TypeCodePackage.BadKind;
    public abstract int default_index()
	throws org.omg.CORBA.TypeCodePackage.BadKind;

    public abstract int length()
	throws org.omg.CORBA.TypeCodePackage.BadKind;
    public abstract TypeCode content_type()
	throws org.omg.CORBA.TypeCodePackage.BadKind;

    public short fixed_digits()
	throws org.omg.CORBA.TypeCodePackage.BadKind
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    public short fixed_scale()
	throws org.omg.CORBA.TypeCodePackage.BadKind
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    public short member_visibility(int index)
	throws org.omg.CORBA.TypeCodePackage.BadKind,
	       org.omg.CORBA.TypeCodePackage.Bounds
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    public short type_modifier()
	throws org.omg.CORBA.TypeCodePackage.BadKind
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    public TypeCode concrete_base_type()
	throws org.omg.CORBA.TypeCodePackage.BadKind
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }
}
