// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.common;

public class TestBase
{
    public static void
    TEST(boolean expr)
    {
	if(!expr)
	    throw new TestException();
    }

    public static org.omg.CORBA.TypeCode
    getOrigType(org.omg.CORBA.TypeCode tc)
    {
        org.omg.CORBA.TypeCode result = tc;

        try
        {
            while(result.kind() == org.omg.CORBA.TCKind.tk_alias)
                result = result.content_type();
        }
        catch(org.omg.CORBA.TypeCodePackage.BadKind ex)
        {
            TEST(false);
        }

        return result;
    }
}

