// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.ins.URLTest;

//
// IDL:URLTest/IIOPAddress:1.0
//
final public class IIOPAddressHolder implements org.omg.CORBA.portable.Streamable
{
    public IIOPAddress value;

    public
    IIOPAddressHolder()
    {
    }

    public
    IIOPAddressHolder(IIOPAddress initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = IIOPAddressHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        IIOPAddressHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return IIOPAddressHelper.type();
    }
}
