// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.local;

//
// IDL:LocalTest:1.0
//
final public class LocalTestHolder implements org.omg.CORBA.portable.Streamable
{
    public LocalTest value;

    public
    LocalTestHolder()
    {
    }

    public
    LocalTestHolder(LocalTest initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = LocalTestHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        LocalTestHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return LocalTestHelper.type();
    }
}
