// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package ORBTest;

// Typesafe enum pattern
//
public class ImplType
{
    private final String m_name;

    private
    ImplType(
	String name
    )
    {
	m_name = name;
    }

    public String
    to_string()
    {
	return m_name;
    }

    public static final ImplType SSI = new ImplType("SSI");
    public static final ImplType Tie = new ImplType("Tie");
    public static final ImplType DSI = new ImplType("DSI");
};
