// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package ORBTest;

//
// IDL:ORBTest/Intf:1.0
//
public class IntfPOATie extends IntfPOA
{
    private IntfOperations _ob_delegate_;
    private org.omg.PortableServer.POA _ob_poa_;

    public
    IntfPOATie(IntfOperations delegate)
    {
        _ob_delegate_ = delegate;
    }

    public
    IntfPOATie(IntfOperations delegate, org.omg.PortableServer.POA poa)
    {
        _ob_delegate_ = delegate;
        _ob_poa_ = poa;
    }

    public IntfOperations
    _delegate()
    {
        return _ob_delegate_;
    }

    public void
    _delegate(IntfOperations delegate)
    {
        _ob_delegate_ = delegate;
    }

    public org.omg.PortableServer.POA
    _default_POA()
    {
        if(_ob_poa_ != null)
            return _ob_poa_;
        else
            return super._default_POA();
    }

    //
    // IDL:ORBTest/Intf/get_ORB_type:1.0
    //
    public ORBType
    get_ORB_type()
    {
        return _ob_delegate_.get_ORB_type();
    }

    //
    // IDL:ORBTest/Intf/deactivate:1.0
    //
    public void
    deactivate()
    {
        _ob_delegate_.deactivate();
    }

    //
    // IDL:ORBTest/Intf/concurrent_request_execution:1.0
    //
    public boolean
    concurrent_request_execution()
    {
        return _ob_delegate_.concurrent_request_execution();
    }

    //
    // IDL:ORBTest/Intf/get_test_case_list:1.0
    //
    public TestCase[]
    get_test_case_list()
    {
        return _ob_delegate_.get_test_case_list();
    }
}
