// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package ORBTest;

//
// IDL:ORBTest/TestCase:1.0
//
final public class TestCaseHolder implements org.omg.CORBA.portable.Streamable
{
    public TestCase value;

    public
    TestCaseHolder()
    {
    }

    public
    TestCaseHolder(TestCase initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = TestCaseHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        TestCaseHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return TestCaseHelper.type();
    }
}
