// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package ORBTest;

//
// IDL:ORBTest/TestCaseList:1.0
//
final public class TestCaseListHolder implements org.omg.CORBA.portable.Streamable
{
    public TestCase[] value;

    public
    TestCaseListHolder()
    {
    }

    public
    TestCaseListHolder(TestCase[] initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = TestCaseListHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        TestCaseListHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return TestCaseListHelper.type();
    }
}
