// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package ORBTest_Basic;

//
// IDL:ORBTest_Basic/ExFixedArray:1.0
//
final public class ExFixedArrayHolder implements org.omg.CORBA.portable.Streamable
{
    public ExFixedArray value;

    public
    ExFixedArrayHolder()
    {
    }

    public
    ExFixedArrayHolder(ExFixedArray initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = ExFixedArrayHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        ExFixedArrayHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ExFixedArrayHelper.type();
    }
}
