// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package ORBTest_Basic;

//
// IDL:ORBTest_Basic/ExOctet:1.0
//
final public class ExOctetHolder implements org.omg.CORBA.portable.Streamable
{
    public ExOctet value;

    public
    ExOctetHolder()
    {
    }

    public
    ExOctetHolder(ExOctet initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = ExOctetHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        ExOctetHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ExOctetHelper.type();
    }
}
