// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package ORBTest_Basic;

//
// IDL:ORBTest_Basic/ExVoid:1.0
//
final public class ExVoidHolder implements org.omg.CORBA.portable.Streamable
{
    public ExVoid value;

    public
    ExVoidHolder()
    {
    }

    public
    ExVoidHolder(ExVoid initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = ExVoidHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        ExVoidHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ExVoidHelper.type();
    }
}
