// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package ORBTest_Basic;

//
// IDL:ORBTest_Basic/FixedStruct:1.0
//
final public class FixedStructHolder implements org.omg.CORBA.portable.Streamable
{
    public FixedStruct value;

    public
    FixedStructHolder()
    {
    }

    public
    FixedStructHolder(FixedStruct initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = FixedStructHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        FixedStructHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return FixedStructHelper.type();
    }
}
