// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.obv;

//
// IDL:TestInterface:1.0
//
final public class TestInterfaceHolder implements org.omg.CORBA.portable.Streamable
{
    public TestInterface value;

    public
    TestInterfaceHolder()
    {
    }

    public
    TestInterfaceHolder(TestInterface initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = TestInterfaceHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        TestInterfaceHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return TestInterfaceHelper.type();
    }
}
