// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.obv;

//
// IDL:TestInterface:1.0
//
public class TestInterfacePOATie extends TestInterfacePOA
{
    private TestInterfaceOperations _ob_delegate_;
    private org.omg.PortableServer.POA _ob_poa_;

    public
    TestInterfacePOATie(TestInterfaceOperations delegate)
    {
        _ob_delegate_ = delegate;
    }

    public
    TestInterfacePOATie(TestInterfaceOperations delegate, org.omg.PortableServer.POA poa)
    {
        _ob_delegate_ = delegate;
        _ob_poa_ = poa;
    }

    public TestInterfaceOperations
    _delegate()
    {
        return _ob_delegate_;
    }

    public void
    _delegate(TestInterfaceOperations delegate)
    {
        _ob_delegate_ = delegate;
    }

    public org.omg.PortableServer.POA
    _default_POA()
    {
        if(_ob_poa_ != null)
            return _ob_poa_;
        else
            return super._default_POA();
    }

    //
    // IDL:TestInterface/get_count:1.0
    //
    public int
    get_count()
    {
        return _ob_delegate_.get_count();
    }
}
