// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.obv;

//
// IDL:TestNode:1.0
//
/***/

public abstract class TestNode implements org.omg.CORBA.portable.StreamableValue
{
    //
    // IDL:TestNode/left:1.0
    //
    /***/

    public TestNode left;

    //
    // IDL:TestNode/right:1.0
    //
    /***/

    public TestNode right;

    //
    // IDL:TestNode/count:1.0
    //
    /***/

    protected int count;

    //
    // IDL:TestNode/compute_count:1.0
    //
    /***/

    public abstract int
    compute_count();

    private static String[] _OB_truncatableIds_ =
    {
        TestNodeHelper.id()
    };

    public String[]
    _truncatable_ids()
    {
        return _OB_truncatableIds_;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        left = TestNodeHelper.read(in);
        right = TestNodeHelper.read(in);
        count = in.read_ulong();
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        TestNodeHelper.write(out, left);
        TestNodeHelper.write(out, right);
        out.write_ulong(count);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return TestNodeHelper.type();
    }
}
