// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.obv;

//
// IDL:TestNode:1.0
//
final public class TestNodeHolder implements org.omg.CORBA.portable.Streamable
{
    public TestNode value;

    public
    TestNodeHolder()
    {
    }

    public
    TestNodeHolder(TestNode initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = TestNodeHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        TestNodeHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return TestNodeHelper.type();
    }
}
