// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.obv.TestOBVColoPackage;

//
// IDL:TestOBVColo/SV:1.0
//
final public class SVHelper
{
    public static void
    insert(org.omg.CORBA.Any any, SV val)
    {
        org.omg.CORBA.portable.OutputStream out = any.create_output_stream();
        write(out, val);
        any.read_value(out.create_input_stream(), type());
    }

    public static SV
    extract(org.omg.CORBA.Any any)
    {
        if(any.type().equivalent(type()))
            return read(any.create_input_stream());
        else
            throw new org.omg.CORBA.BAD_OPERATION();
    }

    private static org.omg.CORBA.TypeCode typeCode_;

    public static org.omg.CORBA.TypeCode
    type()
    {
        if(typeCode_ == null)
        {
            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
            org.omg.CORBA.StructMember[] members = new org.omg.CORBA.StructMember[2];

            members[0] = new org.omg.CORBA.StructMember();
            members[0].name = "str";
            members[0].type = orb.get_primitive_tc(org.omg.CORBA.TCKind.tk_string);

            members[1] = new org.omg.CORBA.StructMember();
            members[1].name = "val";
            members[1].type = test.obv.TestValueHelper.type();

            typeCode_ = orb.create_struct_tc(id(), "SV", members);
        }

        return typeCode_;
    }

    public static String
    id()
    {
        return "IDL:TestOBVColo/SV:1.0";
    }

    public static SV
    read(org.omg.CORBA.portable.InputStream in)
    {
        SV _ob_v = new SV();
        _ob_v.str = in.read_string();
        _ob_v.val = test.obv.TestValueHelper.read(in);
        return _ob_v;
    }

    public static void
    write(org.omg.CORBA.portable.OutputStream out, SV val)
    {
        out.write_string(val.str);
        test.obv.TestValueHelper.write(out, val.val);
    }
}
