// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.obv.TestOBVColoPackage;

//
// IDL:TestOBVColo/SV:1.0
//
final public class SVHolder implements org.omg.CORBA.portable.Streamable
{
    public SV value;

    public
    SVHolder()
    {
    }

    public
    SVHolder(SV initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = SVHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        SVHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return SVHelper.type();
    }
}
