// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.obv;

//
// IDL:TestValue:1.0
//
final public class TestValueHolder implements org.omg.CORBA.portable.Streamable
{
    public TestValue value;

    public
    TestValueHolder()
    {
    }

    public
    TestValueHolder(TestValue initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = TestValueHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        TestValueHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return TestValueHelper.type();
    }
}
