// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.obv;

//
// IDL:TestValueInterface:1.0
//
final public class TestValueInterfaceHolder implements org.omg.CORBA.portable.Streamable
{
    public TestValueInterface value;

    public
    TestValueInterfaceHolder()
    {
    }

    public
    TestValueInterfaceHolder(TestValueInterface initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = TestValueInterfaceHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        TestValueInterfaceHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return TestValueInterfaceHelper.type();
    }
}
