// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.pi;

//
// IDL:MyClientPolicy:1.0
//
final public class MyClientPolicyHolder implements org.omg.CORBA.portable.Streamable
{
    public MyClientPolicy value;

    public
    MyClientPolicyHolder()
    {
    }

    public
    MyClientPolicyHolder(MyClientPolicy initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = MyClientPolicyHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        MyClientPolicyHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return MyClientPolicyHelper.type();
    }
}
