// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.pi;

//
// IDL:ReplyContext:1.0
//
final public class ReplyContextHolder implements org.omg.CORBA.portable.Streamable
{
    public ReplyContext value;

    public
    ReplyContextHolder()
    {
    }

    public
    ReplyContextHolder(ReplyContext initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = ReplyContextHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        ReplyContextHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ReplyContextHelper.type();
    }
}
