// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.pi;

//
// IDL:RequestContext:1.0
//
final public class RequestContextHolder implements org.omg.CORBA.portable.Streamable
{
    public RequestContext value;

    public
    RequestContextHolder()
    {
    }

    public
    RequestContextHolder(RequestContext initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = RequestContextHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        RequestContextHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return RequestContextHelper.type();
    }
}
