// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.retry;

public class RetryServer_impl extends RetryServerPOA
{
    private org.omg.PortableServer.POA poa_;
    private Test test_;
    private Retry retry_;

    public
    RetryServer_impl(org.omg.PortableServer.POA poa,
                     Test test, Retry retry)
    {
        poa_ = poa;
        test_ = test;
        retry_ = retry;
    }

    public org.omg.PortableServer.POA
    _default_POA()
    {
        if(poa_ != null)
            return poa_;
        else
            return super._default_POA();
    }

    public Test
    get_location_forward_object()
    {
        return test_;
    }

    public Retry
    get_retry_object()
    {
        return retry_;
    }

    public void
    deactivate()
    {
        _orb().shutdown(false);
    }
}
