// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.retry;

//
// IDL:RetryServer:1.0
//
final public class RetryServerHolder implements org.omg.CORBA.portable.Streamable
{
    public RetryServer value;

    public
    RetryServerHolder()
    {
    }

    public
    RetryServerHolder(RetryServer initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = RetryServerHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        RetryServerHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return RetryServerHelper.type();
    }
}
