// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.types.DynAnyTypes;

//
// IDL:test/types/DynAnyTypes/TestAnySeq:1.0
//
final public class TestAnySeqHolder implements org.omg.CORBA.portable.Streamable
{
    public org.omg.CORBA.Any[] value;

    public
    TestAnySeqHolder()
    {
    }

    public
    TestAnySeqHolder(org.omg.CORBA.Any[] initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = TestAnySeqHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        TestAnySeqHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return TestAnySeqHelper.type();
    }
}
