// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.types.DynAnyTypes;

//
// IDL:test/types/DynAnyTypes/TestShortSeq:1.0
//
final public class TestShortSeqHolder implements org.omg.CORBA.portable.Streamable
{
    public short[] value;

    public
    TestShortSeqHolder()
    {
    }

    public
    TestShortSeqHolder(short[] initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = TestShortSeqHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        TestShortSeqHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return TestShortSeqHelper.type();
    }
}
