// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.types;

//
// IDL:Measurement:1.0
//
/***/

public class Measurement implements org.omg.CORBA.portable.IDLEntity
{
    private static Measurement [] values_ = new Measurement[3];
    private int value_;

    public final static int _FEET = 0;
    public final static Measurement FEET = new Measurement(_FEET);
    public final static int _METERS = 1;
    public final static Measurement METERS = new Measurement(_METERS);
    public final static int _FURLONGS = 2;
    public final static Measurement FURLONGS = new Measurement(_FURLONGS);

    protected
    Measurement(int value)
    {
        values_[value] = this;
        value_ = value;
    }

    public int
    value()
    {
        return value_;
    }

    public static Measurement
    from_int(int value)
    {
        if(value < values_.length)
            return values_[value];
        else
            throw new org.omg.CORBA.BAD_PARAM("Value (" + value  + ") out of range", 25, org.omg.CORBA.CompletionStatus.COMPLETED_NO);
    }

    private java.lang.Object
    readResolve()
        throws java.io.ObjectStreamException
    {
        return from_int(value());
    }
}
