// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.types;

//
// IDL:TestStruct3:1.0
//
final public class TestStruct3Helper
{
    public static void
    insert(org.omg.CORBA.Any any, TestStruct3 val)
    {
        org.omg.CORBA.portable.OutputStream out = any.create_output_stream();
        write(out, val);
        any.read_value(out.create_input_stream(), type());
    }

    public static TestStruct3
    extract(org.omg.CORBA.Any any)
    {
        if(any.type().equivalent(type()))
            return read(any.create_input_stream());
        else
            throw new org.omg.CORBA.BAD_OPERATION();
    }

    private static org.omg.CORBA.TypeCode typeCode_;

    public static org.omg.CORBA.TypeCode
    type()
    {
        if(typeCode_ == null)
        {
            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
            org.omg.CORBA.StructMember[] members = new org.omg.CORBA.StructMember[2];

            members[0] = new org.omg.CORBA.StructMember();
            members[0].name = "l";
            members[0].type = orb.get_primitive_tc(org.omg.CORBA.TCKind.tk_long);

            members[1] = new org.omg.CORBA.StructMember();
            members[1].name = "seq";
            org.omg.CORBA.TypeCode content0;
            content0 = orb.create_recursive_tc(id());
            members[1].type = orb.create_sequence_tc(0, content0);

            typeCode_ = orb.create_struct_tc(id(), "TestStruct3", members);
        }

        return typeCode_;
    }

    public static String
    id()
    {
        return "IDL:TestStruct3:1.0";
    }

    public static TestStruct3
    read(org.omg.CORBA.portable.InputStream in)
    {
        TestStruct3 _ob_v = new TestStruct3();
        _ob_v.l = in.read_long();
        int len0 = in.read_ulong();
        _ob_v.seq = new TestStruct3[len0];
        for(int i0 = 0; i0 < len0; i0++)
            _ob_v.seq[i0] = TestStruct3Helper.read(in);
        return _ob_v;
    }

    public static void
    write(org.omg.CORBA.portable.OutputStream out, TestStruct3 val)
    {
        out.write_long(val.l);
        int len0 = val.seq.length;
        out.write_ulong(len0);
        for(int i0 = 0; i0 < len0; i0++)
            TestStruct3Helper.write(out, val.seq[i0]);
    }
}
