// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OB;

public abstract class CodeSetReader
{
    public final static int L_ENDIAN = 1;
    public final static int FIRST_CHAR = 2;
    
    abstract char read_char(com.ooc.CORBA.InputStream in)
        throws org.omg.CORBA.DATA_CONVERSION;

    abstract char read_wchar(com.ooc.CORBA.InputStream in, int len)
        throws org.omg.CORBA.DATA_CONVERSION;

    abstract int count_wchar(char value);

    abstract void set_flags(int flags);
}
