// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OB;

final class FixedWidth2Writer extends CodeSetWriter
{
    public void
    write_char(com.ooc.CORBA.OutputStream out, char v)
        throws org.omg.CORBA.DATA_CONVERSION
    {
	out.buf_.data_[out.buf_.pos_++] = (byte)v;
    }

    public void
    write_wchar(com.ooc.CORBA.OutputStream out, char v)
        throws org.omg.CORBA.DATA_CONVERSION
    {
	out.buf_.data_[out.buf_.pos_] = (byte)(v >> 8);
	out.buf_.data_[out.buf_.pos_ + 1] = (byte)v;
    }

    public int
    count_wchar(char v)
    {
	return 2;
    }

    public void
    set_flags(int flags) { }
}
