// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OBPortableServer;

interface ServantManagerStrategy
{
    //
    // Destroy the servant manager strategy
    //
    void
    destroy();

    //
    // Set the servant manager
    //
    void
    setServantManager(org.omg.PortableServer.ServantManager manager);

    //
    // Retrieve the servant manager
    //
    org.omg.PortableServer.ServantManager
    getServantManager();
}
