// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OCI.IIOP;

final class InternalError extends Error
{
    public
    InternalError()
    {
        super("OCI IIOP plug-in internal error " +
              "(send bug report to support@ooc.com)");
    }

    public
    InternalError(String message)
    {
        super("OCI IIOP plug-in internal error " +
              "(send bug report to support@ooc.com)\n" + message);
    }
}
