// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.IMR;

//
// IDL:ooc.com/IMR/NoSuchOAD:1.0
//
/**
 *
 * A NoSuchOAD exception indicates that the OAD detailed in the
 * member <code>name</code> doesn't exist.
 *
 **/

final public class NoSuchOAD extends org.omg.CORBA.UserException
{
    private static final String _ob_id = "IDL:ooc.com/IMR/NoSuchOAD:1.0";

    public
    NoSuchOAD()
    {
        super(_ob_id);
    }

    public
    NoSuchOAD(String name)
    {
        super(_ob_id);
        this.name = name;
    }

    public
    NoSuchOAD(String _reason,
              String name)
    {
        super(_ob_id + " " + _reason);
        this.name = name;
    }

    public String name;
}
