// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.IMR;

//
// IDL:ooc.com/IMR/OADNotRunning:1.0
//
/**
 *
 * A OADNotRunning exception indicates that the OAD detailed in the
 * member <code>host</code> isn't up.
 *
 **/

final public class OADNotRunning extends org.omg.CORBA.UserException
{
    private static final String _ob_id = "IDL:ooc.com/IMR/OADNotRunning:1.0";

    public
    OADNotRunning()
    {
        super(_ob_id);
    }

    public
    OADNotRunning(String host)
    {
        super(_ob_id);
        this.host = host;
    }

    public
    OADNotRunning(String _reason,
                  String host)
    {
        super(_ob_id + " " + _reason);
        this.host = host;
    }

    public String host;
}
