// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.IMR;

//
// IDL:ooc.com/IMR/POAInfo:1.0
//
final public class POAInfoHelper
{
    public static void
    insert(org.omg.CORBA.Any any, POAInfo val)
    {
        org.omg.CORBA.portable.OutputStream out = any.create_output_stream();
        write(out, val);
        any.read_value(out.create_input_stream(), type());
    }

    public static POAInfo
    extract(org.omg.CORBA.Any any)
    {
        if(any.type().equivalent(type()))
            return read(any.create_input_stream());
        else
            throw new org.omg.CORBA.BAD_OPERATION();
    }

    private static org.omg.CORBA.TypeCode typeCode_;

    public static org.omg.CORBA.TypeCode
    type()
    {
        if(typeCode_ == null)
        {
            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
            org.omg.CORBA.StructMember[] members = new org.omg.CORBA.StructMember[2];

            members[0] = new org.omg.CORBA.StructMember();
            members[0].name = "poa";
            members[0].type = POANameHelper.type();

            members[1] = new org.omg.CORBA.StructMember();
            members[1].name = "state";
            members[1].type = POAStatusHelper.type();

            typeCode_ = orb.create_struct_tc(id(), "POAInfo", members);
        }

        return typeCode_;
    }

    public static String
    id()
    {
        return "IDL:ooc.com/IMR/POAInfo:1.0";
    }

    public static POAInfo
    read(org.omg.CORBA.portable.InputStream in)
    {
        POAInfo _ob_v = new POAInfo();
        _ob_v.poa = POANameHelper.read(in);
        _ob_v.state = POAStatusHelper.read(in);
        return _ob_v;
    }

    public static void
    write(org.omg.CORBA.portable.OutputStream out, POAInfo val)
    {
        POANameHelper.write(out, val.poa);
        POAStatusHelper.write(out, val.state);
    }
}
