// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.IMR;

//
// IDL:ooc.com/IMR/ServerActivationMode:1.0
//
/**
 *
 * This enumeration contains the various activation modes of a server.
 *
 **/

public class ServerActivationMode implements org.omg.CORBA.portable.IDLEntity
{
    private static ServerActivationMode [] values_ = new ServerActivationMode[2];
    private int value_;

    public final static int _SHARED = 0;
    public final static ServerActivationMode SHARED = new ServerActivationMode(_SHARED);
    public final static int _PERSISTENT = 1;
    public final static ServerActivationMode PERSISTENT = new ServerActivationMode(_PERSISTENT);

    protected
    ServerActivationMode(int value)
    {
        values_[value] = this;
        value_ = value;
    }

    public int
    value()
    {
        return value_;
    }

    public static ServerActivationMode
    from_int(int value)
    {
        if(value < values_.length)
            return values_[value];
        else
            throw new org.omg.CORBA.BAD_PARAM("Value (" + value  + ") out of range", 25, org.omg.CORBA.CompletionStatus.COMPLETED_NO);
    }

    private java.lang.Object
    readResolve()
        throws java.io.ObjectStreamException
    {
        return from_int(value());
    }
}
