// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.IMR;

//
// IDL:ooc.com/IMR/NoSuchPOA:1.0
//
/**
 *
 * A NoSuchPOA exception indicates that the poa detailed in the member
 * <code>poa</code> doesn't exist.
 *
 **/

final public class _NoSuchPOA extends org.omg.CORBA.UserException
{
    private static final String _ob_id = "IDL:ooc.com/IMR/NoSuchPOA:1.0";

    public
    _NoSuchPOA()
    {
        super(_ob_id);
    }

    public
    _NoSuchPOA(String[] poa)
    {
        super(_ob_id);
        this.poa = poa;
    }

    public
    _NoSuchPOA(String _reason,
               String[] poa)
    {
        super(_ob_id + " " + _reason);
        this.poa = poa;
    }

    public String[] poa;
}
