// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.IMR;

//
// IDL:ooc.com/IMR/ServerFactory:1.0
//
public class _ServerFactoryStub extends org.omg.CORBA.portable.ObjectImpl
                                implements ServerFactory
{
    private static final String[] _ob_ids_ =
    {
        "IDL:ooc.com/IMR/ServerFactory:1.0",
    };

    public String[]
    _ids()
    {
        return _ob_ids_;
    }

    final public static java.lang.Class _ob_opsClass = ServerFactoryOperations.class;

    //
    // IDL:ooc.com/IMR/ServerFactory/get_server:1.0
    //
    public Server
    get_server(String _ob_a0)
        throws NoSuchServer
    {
        while(true)
        {
            if(!this._is_local())
            {
                org.omg.CORBA.portable.OutputStream out = null;
                org.omg.CORBA.portable.InputStream in = null;
                try
                {
                    out = _request("get_server", true);
                    out.write_string(_ob_a0);
                    in = _invoke(out);
                    Server _ob_r = ServerHelper.read(in);
                    return _ob_r;
                }
                catch(org.omg.CORBA.portable.RemarshalException _ob_ex)
                {
                    continue;
                }
                catch(org.omg.CORBA.portable.ApplicationException _ob_aex)
                {
                    final String _ob_id = _ob_aex.getId();
                    in = _ob_aex.getInputStream();

                    if(_ob_id.equals(NoSuchServerHelper.id()))
                        throw NoSuchServerHelper.read(in);
                    throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _ob_id);
                }
                finally
                {
                    _releaseReply(in);
                }
            }
            else
            {
                org.omg.CORBA.portable.ServantObject _ob_so = _servant_preinvoke("get_server", _ob_opsClass);
                if(_ob_so == null)
                    continue;
                ServerFactoryOperations _ob_self = (ServerFactoryOperations)_ob_so.servant;
                try
                {
                    return _ob_self.get_server(_ob_a0);
                }
                finally
                {
                    _servant_postinvoke(_ob_so);
                }
            }
        }
    }

    //
    // IDL:ooc.com/IMR/ServerFactory/create_server_record:1.0
    //
    public Server
    create_server_record(String _ob_a0)
        throws ServerAlreadyRegistered
    {
        while(true)
        {
            if(!this._is_local())
            {
                org.omg.CORBA.portable.OutputStream out = null;
                org.omg.CORBA.portable.InputStream in = null;
                try
                {
                    out = _request("create_server_record", true);
                    out.write_string(_ob_a0);
                    in = _invoke(out);
                    Server _ob_r = ServerHelper.read(in);
                    return _ob_r;
                }
                catch(org.omg.CORBA.portable.RemarshalException _ob_ex)
                {
                    continue;
                }
                catch(org.omg.CORBA.portable.ApplicationException _ob_aex)
                {
                    final String _ob_id = _ob_aex.getId();
                    in = _ob_aex.getInputStream();

                    if(_ob_id.equals(ServerAlreadyRegisteredHelper.id()))
                        throw ServerAlreadyRegisteredHelper.read(in);
                    throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _ob_id);
                }
                finally
                {
                    _releaseReply(in);
                }
            }
            else
            {
                org.omg.CORBA.portable.ServantObject _ob_so = _servant_preinvoke("create_server_record", _ob_opsClass);
                if(_ob_so == null)
                    continue;
                ServerFactoryOperations _ob_self = (ServerFactoryOperations)_ob_so.servant;
                try
                {
                    return _ob_self.create_server_record(_ob_a0);
                }
                finally
                {
                    _servant_postinvoke(_ob_so);
                }
            }
        }
    }

    //
    // IDL:ooc.com/IMR/ServerFactory/list_servers:1.0
    //
    public Server[]
    list_servers()
    {
        while(true)
        {
            if(!this._is_local())
            {
                org.omg.CORBA.portable.OutputStream out = null;
                org.omg.CORBA.portable.InputStream in = null;
                try
                {
                    out = _request("list_servers", true);
                    in = _invoke(out);
                    Server[] _ob_r = ServerSeqHelper.read(in);
                    return _ob_r;
                }
                catch(org.omg.CORBA.portable.RemarshalException _ob_ex)
                {
                    continue;
                }
                catch(org.omg.CORBA.portable.ApplicationException _ob_aex)
                {
                    final String _ob_id = _ob_aex.getId();
                    in = _ob_aex.getInputStream();

                    throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _ob_id);
                }
                finally
                {
                    _releaseReply(in);
                }
            }
            else
            {
                org.omg.CORBA.portable.ServantObject _ob_so = _servant_preinvoke("list_servers", _ob_opsClass);
                if(_ob_so == null)
                    continue;
                ServerFactoryOperations _ob_self = (ServerFactoryOperations)_ob_so.servant;
                try
                {
                    return _ob_self.list_servers();
                }
                finally
                {
                    _servant_postinvoke(_ob_so);
                }
            }
        }
    }

    //
    // IDL:ooc.com/IMR/ServerFactory/list_servers_by_host:1.0
    //
    public Server[]
    list_servers_by_host(String _ob_a0)
    {
        while(true)
        {
            if(!this._is_local())
            {
                org.omg.CORBA.portable.OutputStream out = null;
                org.omg.CORBA.portable.InputStream in = null;
                try
                {
                    out = _request("list_servers_by_host", true);
                    out.write_string(_ob_a0);
                    in = _invoke(out);
                    Server[] _ob_r = ServerSeqHelper.read(in);
                    return _ob_r;
                }
                catch(org.omg.CORBA.portable.RemarshalException _ob_ex)
                {
                    continue;
                }
                catch(org.omg.CORBA.portable.ApplicationException _ob_aex)
                {
                    final String _ob_id = _ob_aex.getId();
                    in = _ob_aex.getInputStream();

                    throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _ob_id);
                }
                finally
                {
                    _releaseReply(in);
                }
            }
            else
            {
                org.omg.CORBA.portable.ServantObject _ob_so = _servant_preinvoke("list_servers_by_host", _ob_opsClass);
                if(_ob_so == null)
                    continue;
                ServerFactoryOperations _ob_self = (ServerFactoryOperations)_ob_so.servant;
                try
                {
                    return _ob_self.list_servers_by_host(_ob_a0);
                }
                finally
                {
                    _servant_postinvoke(_ob_so);
                }
            }
        }
    }

    //
    // IDL:ooc.com/IMR/ServerFactory/list_orphaned_servers:1.0
    //
    public Server[]
    list_orphaned_servers()
    {
        while(true)
        {
            if(!this._is_local())
            {
                org.omg.CORBA.portable.OutputStream out = null;
                org.omg.CORBA.portable.InputStream in = null;
                try
                {
                    out = _request("list_orphaned_servers", true);
                    in = _invoke(out);
                    Server[] _ob_r = ServerSeqHelper.read(in);
                    return _ob_r;
                }
                catch(org.omg.CORBA.portable.RemarshalException _ob_ex)
                {
                    continue;
                }
                catch(org.omg.CORBA.portable.ApplicationException _ob_aex)
                {
                    final String _ob_id = _ob_aex.getId();
                    in = _ob_aex.getInputStream();

                    throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _ob_id);
                }
                finally
                {
                    _releaseReply(in);
                }
            }
            else
            {
                org.omg.CORBA.portable.ServantObject _ob_so = _servant_preinvoke("list_orphaned_servers", _ob_opsClass);
                if(_ob_so == null)
                    continue;
                ServerFactoryOperations _ob_self = (ServerFactoryOperations)_ob_so.servant;
                try
                {
                    return _ob_self.list_orphaned_servers();
                }
                finally
                {
                    _servant_postinvoke(_ob_so);
                }
            }
        }
    }
}
