// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OAD;

//
// IDL:ooc.com/OAD/AlreadyLinked:1.0
//
/**
 *
 * This exception is raised if a link already exists between a Process
 * and the ProcessManager
 *
 **/

final public class AlreadyLinked extends org.omg.CORBA.UserException
{
    private static final String _ob_id = "IDL:ooc.com/OAD/AlreadyLinked:1.0";

    public
    AlreadyLinked()
    {
        super(_ob_id);
    }

    public
    AlreadyLinked(String _reason)
    {
        super(_ob_id + " " + _reason);
    }
}
