// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OAD;

//
// IDL:ooc.com/OAD/ProcessEndpointManager:1.0
//
public abstract class ProcessEndpointManagerPOA
    extends org.omg.PortableServer.Servant
    implements org.omg.CORBA.portable.InvokeHandler,
               ProcessEndpointManagerOperations
{
    static final String[] _ob_ids_ =
    {
        "IDL:ooc.com/OAD/ProcessEndpointManager:1.0",
    };

    public ProcessEndpointManager
    _this()
    {
        return ProcessEndpointManagerHelper.narrow(super._this_object());
    }

    public ProcessEndpointManager
    _this(org.omg.CORBA.ORB orb)
    {
        return ProcessEndpointManagerHelper.narrow(super._this_object(orb));
    }

    public String[]
    _all_interfaces(org.omg.PortableServer.POA poa, byte[] objectId)
    {
        return _ob_ids_;
    }

    public org.omg.CORBA.portable.OutputStream
    _invoke(String opName,
            org.omg.CORBA.portable.InputStream in,
            org.omg.CORBA.portable.ResponseHandler handler)
    {
        final String[] _ob_names =
        {
            "establish_link"
        };

        int _ob_left = 0;
        int _ob_right = _ob_names.length;
        int _ob_index = -1;

        while(_ob_left < _ob_right)
        {
            int _ob_m = (_ob_left + _ob_right) / 2;
            int _ob_res = _ob_names[_ob_m].compareTo(opName);
            if(_ob_res == 0)
            {
                _ob_index = _ob_m;
                break;
            }
            else if(_ob_res > 0)
                _ob_right = _ob_m;
            else
                _ob_left = _ob_m + 1;
        }

        if(_ob_index == -1 && opName.charAt(0) == '_')
        {
            _ob_left = 0;
            _ob_right = _ob_names.length;
            String _ob_ami_op =
                opName.substring(1);

            while(_ob_left < _ob_right)
            {
                int _ob_m = (_ob_left + _ob_right) / 2;
                int _ob_res = _ob_names[_ob_m].compareTo(_ob_ami_op);
                if(_ob_res == 0)
                {
                    _ob_index = _ob_m;
                    break;
                }
                else if(_ob_res > 0)
                    _ob_right = _ob_m;
                else
                    _ob_left = _ob_m + 1;
            }
        }

        switch(_ob_index)
        {
        case 0: // establish_link
            return _OB_op_establish_link(in, handler);
        }

        throw new org.omg.CORBA.BAD_OPERATION();
    }

    private org.omg.CORBA.portable.OutputStream
    _OB_op_establish_link(org.omg.CORBA.portable.InputStream in,
                          org.omg.CORBA.portable.ResponseHandler handler)
    {
        org.omg.CORBA.portable.OutputStream out = null;
        try
        {
            String _ob_a0 = in.read_string();
            String _ob_a1 = in.read_string();
            int _ob_a2 = com.ooc.IMR.ProcessIDHelper.read(in);
            ProcessEndpoint _ob_a3 = ProcessEndpointHelper.read(in);
            establish_link(_ob_a0, _ob_a1, _ob_a2, _ob_a3);
            out = handler.createReply();
        }
        catch(AlreadyLinked _ob_ex)
        {
            out = handler.createExceptionReply();
            AlreadyLinkedHelper.write(out, _ob_ex);
        }
        return out;
    }
}
