// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OB;

//
// IDL:ooc.com/OB/ConnectionReusePolicy:1.0
//
/**
 *
 * The connection reuse policy. This policy determines whether
 * connections may be reused or are private to specific objects.
 *
 **/

public interface ConnectionReusePolicyOperations extends org.omg.CORBA.PolicyOperations
{
    //
    // IDL:ooc.com/OB/ConnectionReusePolicy/value:1.0
    //
    /**
     *
     * If an object has a <code>ConnectionReusePolicy</code> set with
     * <code>value</code> set to <code>FALSE</code>, then other
     * object references will not be permitted to use connections
     * made on behalf of this object. If set to <code>TRUE</code>,
     * then connections are shared. The default value is
     * <code>TRUE</code>.
     *
     **/

    boolean
    value();
}
