// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OB.CorbalocProtocolPackage;

//
// IDL:ooc.com/OB/CorbalocProtocol/ObjectKey:1.0
//
final public class ObjectKeyHolder implements org.omg.CORBA.portable.Streamable
{
    public byte[] value;

    public
    ObjectKeyHolder()
    {
    }

    public
    ObjectKeyHolder(byte[] initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = ObjectKeyHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        ObjectKeyHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ObjectKeyHelper.type();
    }
}
