// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OB;

//
// IDL:ooc.com/OB/InterceptorPolicy:1.0
//
/**
 *
 * The interceptor policy. This policy can be used to control whether
 * the client-side interceptors are called.
 *
 **/

public interface InterceptorPolicyOperations extends org.omg.CORBA.PolicyOperations
{
    //
    // IDL:ooc.com/OB/InterceptorPolicy/value:1.0
    //
    /**
     *
     * If an object reference has an <code>InterceptorPolicy</code>
     * set and <code>value</code> is <code>FALSE</code> then any
     * installed client-side interceptors are not called.  Otherwise,
     * interceptors are called for each method invocation. The default
     * value is <code>TRUE</code>.
     *
     **/

    boolean
    value();
}
