// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OB;

//
// IDL:ooc.com/OB/LocateRequestPolicy:1.0
//
/**
 *
 * The locate request policy. This policy can be used to specify
 * whether the ORB sends locate request messages.
 *
 **/

public interface LocateRequestPolicyOperations extends org.omg.CORBA.PolicyOperations
{
    //
    // IDL:ooc.com/OB/LocateRequestPolicy/value:1.0
    //
    /**
     *
     * If an object has a <code>LocateRequestPolicy</code> set to
     * <code>false</code> then the ORB will not send locate request
     * messages for the object.
     *
     **/

    boolean
    value();
}
