// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OB;

//
// IDL:ooc.com/OB/ProtocolPolicy:1.0
//
final public class ProtocolPolicyHolder implements org.omg.CORBA.portable.Streamable
{
    public ProtocolPolicy value;

    public
    ProtocolPolicyHolder()
    {
    }

    public
    ProtocolPolicyHolder(ProtocolPolicy initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = ProtocolPolicyHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        ProtocolPolicyHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ProtocolPolicyHelper.type();
    }
}
