// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OB;

//
// IDL:ooc.com/OB/RequestTimeoutPolicy:1.0
//
/**
 *
 * The request timeout policy. This policy can be used to specify
 * a maximum time limit for requests.
 *
 * @see TimeoutPolicy
 *
 **/

public interface RequestTimeoutPolicyOperations extends org.omg.CORBA.PolicyOperations
{
    //
    // IDL:ooc.com/OB/RequestTimeoutPolicy/value:1.0
    //
    /**
     *
     * If an object has a <code>RequestTimeoutPolicy</code> set and no
     * response to a request is available after <code>value</code>
     * milliseconds, a <code>CORBA::NO_RESPONSE</code> exception is
     * raised. The default value is <code>-1</code>, which means no
     * timeout.
     *
     **/

    int
    value();
}
