// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OB;

//
// IDL:ooc.com/OB/RetryAttributes:1.0
//
/**
 *
 * The retry information
 *
 **/

final public class RetryAttributes implements org.omg.CORBA.portable.IDLEntity
{
    private static final String _ob_id = "IDL:ooc.com/OB/RetryAttributes:1.0";

    public
    RetryAttributes()
    {
    }

    public
    RetryAttributes(short mode,
                    int interval,
                    int max,
                    boolean remote)
    {
        this.mode = mode;
        this.interval = interval;
        this.max = max;
        this.remote = remote;
    }

    public short mode;
    public int interval;
    public int max;
    public boolean remote;
}
