// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OB;

//
// IDL:ooc.com/OB/RetryAttributes:1.0
//
final public class RetryAttributesHolder implements org.omg.CORBA.portable.Streamable
{
    public RetryAttributes value;

    public
    RetryAttributesHolder()
    {
    }

    public
    RetryAttributesHolder(RetryAttributes initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = RetryAttributesHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        RetryAttributesHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return RetryAttributesHelper.type();
    }
}
