// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OB;

//
// IDL:ooc.com/OB/RetryPolicy:1.0
//
/**
 *
 * The retry policy. This policy is used to specify retry behavior after
 * communication failures (i.e., <code>CORBA::TRANSIENT</code> and
 * <code>CORBA::COMM_FAILURE</code> exceptions).
 *
 **/

public interface RetryPolicy extends RetryPolicyOperations,
                                     org.omg.CORBA.Policy
{
}
