// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OB;

//
// IDL:ooc.com/OB/TimeoutPolicy:1.0
//
/**
 *
 * The timeout policy. This policy can be used to specify the
 * default timeout for connection establishment and requests.
 * If an object also has <code>ConnectionTimeoutPolicy</code> or
 * <code>RequestTimeoutPolicy</code> set, those values have precedence.
 *
 * @see ConnectionTimeoutPolicy
 * @see RequestTimeoutPolicy
 *
 **/

public interface TimeoutPolicy extends TimeoutPolicyOperations,
                                       org.omg.CORBA.Policy
{
}
