// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OB;

//
// IDL:ooc.com/OB/URLScheme:1.0
//
/**
 *
 * A URLScheme (e.g., <code>file:</code>, <code>corbaloc:</code>, etc.)
 * is responsible for converting a URL into an object reference.
 * All schemes must be installed in the <code>URLRegistry</code>.
 *
 * @see URLRegistry
 *
 **/

public interface URLScheme extends URLSchemeOperations,
                                   org.omg.CORBA.Object
{
}
