// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OB;

//
// IDL:ooc.com/OB/UnknownExceptionStrategy:1.0
//
/**
 *
 * The unknown exception strategy interface.
 *
 **/

public interface UnknownExceptionStrategyOperations
{
    //
    // IDL:ooc.com/OB/UnknownExceptionStrategy/unknown_exception:1.0
    //
    /**
     *
     * Handle an unknown exception.
     *
     * @param info Information about the exception.
     *
     **/

    void
    unknown_exception(UnknownExceptionInfo info);

    //
    // IDL:ooc.com/OB/UnknownExceptionStrategy/destroy:1.0
    //
    /**
     *
     * Clean up resources prior to ORB destruction.
     *
     **/

    void
    destroy();
}
