// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OBPortableInterceptor;

//
// IDL:ooc.com/OBPortableInterceptor/IMRORT:1.0
//
/***/

public abstract class IMRORT implements org.omg.CORBA.portable.StreamableValue,
                                        org.omg.PortableInterceptor.ObjectReferenceTemplate
{
    //
    // IDL:ooc.com/OBPortableInterceptor/IMRORT/the_server_id:1.0
    //
    /***/

    protected String the_server_id;

    //
    // IDL:ooc.com/OBPortableInterceptor/IMRORT/the_adapter_name:1.0
    //
    /***/

    protected String[] the_adapter_name;

    //
    // IDL:ooc.com/OBPortableInterceptor/IMRORT/the_real_template:1.0
    //
    /***/

    protected org.omg.PortableInterceptor.ObjectReferenceTemplate the_real_template;

    private static String[] _OB_truncatableIds_ =
    {
        IMRORTHelper.id()
    };

    public String[]
    _truncatable_ids()
    {
        return _OB_truncatableIds_;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        the_server_id = org.omg.PortableInterceptor.ServerIdHelper.read(in);
        the_adapter_name = org.omg.PortableInterceptor.AdapterNameHelper.read(in);
        the_real_template = org.omg.PortableInterceptor.ObjectReferenceTemplateHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        org.omg.PortableInterceptor.ServerIdHelper.write(out, the_server_id);
        org.omg.PortableInterceptor.AdapterNameHelper.write(out, the_adapter_name);
        org.omg.PortableInterceptor.ObjectReferenceTemplateHelper.write(out, the_real_template);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return IMRORTHelper.type();
    }
}
