// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OBPortableServer;

//
// IDL:ooc.com/OBPortableServer/AcceptorConfig:1.0
//
/**
 *
 * Acceptor configuration information.
 *
 * @member id The plugin id.
 *
 * @member params The configuration parameters.
 *
 **/

final public class AcceptorConfig implements org.omg.CORBA.portable.IDLEntity
{
    private static final String _ob_id = "IDL:ooc.com/OBPortableServer/AcceptorConfig:1.0";

    public
    AcceptorConfig()
    {
    }

    public
    AcceptorConfig(String id,
                   String[] params)
    {
        this.id = id;
        this.params = params;
    }

    public String id;
    public String[] params;
}
