// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OBPortableServer;

//
// IDL:ooc.com/OBPortableServer/InterceptorCallPolicy:1.0
//
/**
 *
 * The interceptor call policy. This policy controls whether the
 * server-side interceptors are called for a particular POA.
 *
 **/

public interface InterceptorCallPolicyOperations extends org.omg.CORBA.PolicyOperations
{
    //
    // IDL:ooc.com/OBPortableServer/InterceptorCallPolicy/value:1.0
    //
    /**
     *
     * The InterceptorCallPolicy value.  If a POA has an
     * <code>InterceptorCallPolicy</code> set and <code>value</code> is
     * <code>FALSE</code> then any installed server-side interceptors are
     * not called for requests on this POA.  Otherwise, interceptors are
     * called for each request. The default value is <code>TRUE</code>.
     *
     **/

    boolean
    value();
}
