// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OCI;

//
// IDL:ooc.com/OCI/Acceptor:1.0
//
final public class AcceptorHolder implements org.omg.CORBA.portable.Streamable
{
    public Acceptor value;

    public
    AcceptorHolder()
    {
    }

    public
    AcceptorHolder(Acceptor initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = AcceptorHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        AcceptorHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return AcceptorHelper.type();
    }
}
