// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OCI;

//
// IDL:ooc.com/OCI/CloseCB:1.0
//
/**
 *
 * An interface for a close callback object.
 *
 * @see TransportInfo
 *
 **/

public interface CloseCBOperations
{
    //
    // IDL:ooc.com/OCI/CloseCB/close_cb:1.0
    //
    /**
     *
     * Called before a connection is closed.
     *
     * @param transport_info The TransportInfo for the new closeion.
     *
     **/

    void
    close_cb(TransportInfo transport_info);
}
