// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OCI;

//
// IDL:ooc.com/OCI/ConnectCB:1.0
//
/**
 *
 * An interface for a connect callback object.
 *
 * @see ConnectorInfo
 *
 **/

public interface ConnectCBOperations
{
    //
    // IDL:ooc.com/OCI/ConnectCB/connect_cb:1.0
    //
    /**
     *
     * Called after a new connection has been established. If the
     * application wishes to reject the connection
     * <code>CORBA::NO_PERMISSION</code> may be raised.
     *
     * @param transport_info The TransportInfo for the new connection.
     *
     **/

    void
    connect_cb(TransportInfo transport_info);
}
