// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OCI;

//
// IDL:ooc.com/OCI/ConnectorSeq:1.0
//
final public class ConnectorSeqHolder implements org.omg.CORBA.portable.Streamable
{
    public Connector[] value;

    public
    ConnectorSeqHolder()
    {
    }

    public
    ConnectorSeqHolder(Connector[] initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = ConnectorSeqHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        ConnectorSeqHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ConnectorSeqHelper.type();
    }
}
