// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OCI.IIOP;

//
// IDL:ooc.com/OCI/IIOP/TransportInfo:1.0
//
final public class TransportInfoHolder implements org.omg.CORBA.portable.Streamable
{
    public TransportInfo value;

    public
    TransportInfoHolder()
    {
    }

    public
    TransportInfoHolder(TransportInfo initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = TransportInfoHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        TransportInfoHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return TransportInfoHelper.type();
    }
}
