// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OCI;

//
// IDL:ooc.com/OCI/IOR:1.0
//
final public class IORHelper
{
    public static void
    insert(org.omg.CORBA.Any any, org.omg.IOP.IOR val)
    {
        org.omg.CORBA.portable.OutputStream out = any.create_output_stream();
        write(out, val);
        any.read_value(out.create_input_stream(), type());
    }

    public static org.omg.IOP.IOR
    extract(org.omg.CORBA.Any any)
    {
        if(any.type().equivalent(type()))
            return read(any.create_input_stream());
        else
            throw new org.omg.CORBA.BAD_OPERATION();
    }

    private static org.omg.CORBA.TypeCode typeCode_;

    public static org.omg.CORBA.TypeCode
    type()
    {
        if(typeCode_ == null)
        {
            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
            typeCode_ = orb.create_alias_tc(id(), "IOR", org.omg.IOP.IORHelper.type());
        }

        return typeCode_;
    }

    public static String
    id()
    {
        return "IDL:ooc.com/OCI/IOR:1.0";
    }

    public static org.omg.IOP.IOR
    read(org.omg.CORBA.portable.InputStream in)
    {
        org.omg.IOP.IOR _ob_v;
        _ob_v = org.omg.IOP.IORHelper.read(in);
        return _ob_v;
    }

    public static void
    write(org.omg.CORBA.portable.OutputStream out, org.omg.IOP.IOR val)
    {
        org.omg.IOP.IORHelper.write(out, val);
    }
}
