// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OCI;

//
// IDL:ooc.com/OCI/Plugin:1.0
//
final public class PluginHolder implements org.omg.CORBA.portable.Streamable
{
    public Plugin value;

    public
    PluginHolder()
    {
    }

    public
    PluginHolder(Plugin initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = PluginHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        PluginHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return PluginHelper.type();
    }
}
