// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OCI;

//
// IDL:ooc.com/OCI/SendReceiveMode:1.0
//
final public class SendReceiveModeHelper
{
    public static void
    insert(org.omg.CORBA.Any any, SendReceiveMode val)
    {
        org.omg.CORBA.portable.OutputStream out = any.create_output_stream();
        write(out, val);
        any.read_value(out.create_input_stream(), type());
    }

    public static SendReceiveMode
    extract(org.omg.CORBA.Any any)
    {
        if(any.type().equivalent(type()))
            return read(any.create_input_stream());
        else
            throw new org.omg.CORBA.BAD_OPERATION();
    }

    private static org.omg.CORBA.TypeCode typeCode_;

    public static org.omg.CORBA.TypeCode
    type()
    {
        if(typeCode_ == null)
        {
            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
            String[] members = new String[3];
            members[0] = "SendOnly";
            members[1] = "ReceiveOnly";
            members[2] = "SendReceive";
            typeCode_ = orb.create_enum_tc(id(), "SendReceiveMode", members);
        }

        return typeCode_;
    }

    public static String
    id()
    {
        return "IDL:ooc.com/OCI/SendReceiveMode:1.0";
    }

    public static SendReceiveMode
    read(org.omg.CORBA.portable.InputStream in)
    {
        SendReceiveMode _ob_v;
        _ob_v = SendReceiveMode.from_int(in.read_ulong());
        return _ob_v;
    }

    public static void
    write(org.omg.CORBA.portable.OutputStream out, SendReceiveMode val)
    {
        out.write_ulong(val.value());
    }
}
