// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package com.ooc.OCI;

//
// IDL:ooc.com/OCI/Transport:1.0
//
final public class TransportHolder implements org.omg.CORBA.portable.Streamable
{
    public Transport value;

    public
    TransportHolder()
    {
    }

    public
    TransportHolder(Transport initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = TransportHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        TransportHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return TransportHelper.type();
    }
}
