// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.CONV_FRAME;

//
// IDL:omg.org/CONV_FRAME/CodeSetComponentInfo:1.0
//
final public class CodeSetComponentInfoHelper
{
    public static void
    insert(org.omg.CORBA.Any any, CodeSetComponentInfo val)
    {
        org.omg.CORBA.portable.OutputStream out = any.create_output_stream();
        write(out, val);
        any.read_value(out.create_input_stream(), type());
    }

    public static CodeSetComponentInfo
    extract(org.omg.CORBA.Any any)
    {
        if(any.type().equivalent(type()))
            return read(any.create_input_stream());
        else
            throw new org.omg.CORBA.BAD_OPERATION();
    }

    private static org.omg.CORBA.TypeCode typeCode_;

    public static org.omg.CORBA.TypeCode
    type()
    {
        if(typeCode_ == null)
        {
            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
            org.omg.CORBA.StructMember[] members = new org.omg.CORBA.StructMember[2];

            members[0] = new org.omg.CORBA.StructMember();
            members[0].name = "ForCharData";
            members[0].type = CodeSetComponentHelper.type();

            members[1] = new org.omg.CORBA.StructMember();
            members[1].name = "ForWcharData";
            members[1].type = CodeSetComponentHelper.type();

            typeCode_ = orb.create_struct_tc(id(), "CodeSetComponentInfo", members);
        }

        return typeCode_;
    }

    public static String
    id()
    {
        return "IDL:omg.org/CONV_FRAME/CodeSetComponentInfo:1.0";
    }

    public static CodeSetComponentInfo
    read(org.omg.CORBA.portable.InputStream in)
    {
        CodeSetComponentInfo _ob_v = new CodeSetComponentInfo();
        _ob_v.ForCharData = CodeSetComponentHelper.read(in);
        _ob_v.ForWcharData = CodeSetComponentHelper.read(in);
        return _ob_v;
    }

    public static void
    write(org.omg.CORBA.portable.OutputStream out, CodeSetComponentInfo val)
    {
        CodeSetComponentHelper.write(out, val.ForCharData);
        CodeSetComponentHelper.write(out, val.ForWcharData);
    }
}
