// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.CORBA;

//
// IDL:omg.org/CORBA/completion_status:1.0
//
/***/

public class CompletionStatus implements org.omg.CORBA.portable.IDLEntity
{
    private static CompletionStatus [] values_ = new CompletionStatus[3];
    private int value_;

    public final static int _COMPLETED_YES = 0;
    public final static CompletionStatus COMPLETED_YES = new CompletionStatus(_COMPLETED_YES);
    public final static int _COMPLETED_NO = 1;
    public final static CompletionStatus COMPLETED_NO = new CompletionStatus(_COMPLETED_NO);
    public final static int _COMPLETED_MAYBE = 2;
    public final static CompletionStatus COMPLETED_MAYBE = new CompletionStatus(_COMPLETED_MAYBE);

    protected
    CompletionStatus(int value)
    {
        values_[value] = this;
        value_ = value;
    }

    public int
    value()
    {
        return value_;
    }

    public static CompletionStatus
    from_int(int value)
    {
        if(value < values_.length)
            return values_[value];
        else
            throw new org.omg.CORBA.BAD_PARAM("Value (" + value  + ") out of range", 25, org.omg.CORBA.CompletionStatus.COMPLETED_NO);
    }

    private java.lang.Object
    readResolve()
        throws java.io.ObjectStreamException
    {
        return from_int(value());
    }
}
