// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.CORBA;

//
// IDL:omg.org/CORBA/Contained:1.0
//
/***/

public interface ContainedOperations extends IRObjectOperations
{
    //
    // IDL:omg.org/CORBA/Contained/id:1.0
    //
    /***/

    String
    id();

    void
    id(String val);

    //
    // IDL:omg.org/CORBA/Contained/name:1.0
    //
    /***/

    String
    name();

    void
    name(String val);

    //
    // IDL:omg.org/CORBA/Contained/version:1.0
    //
    /***/

    String
    version();

    void
    version(String val);

    //
    // IDL:omg.org/CORBA/Contained/defined_in:1.0
    //
    /***/

    Container
    defined_in();

    //
    // IDL:omg.org/CORBA/Contained/absolute_name:1.0
    //
    /***/

    String
    absolute_name();

    //
    // IDL:omg.org/CORBA/Contained/containing_repository:1.0
    //
    /***/

    Repository
    containing_repository();

    //
    // IDL:omg.org/CORBA/Contained/describe:1.0
    //
    /***/

    org.omg.CORBA.ContainedPackage.Description
    describe();

    //
    // IDL:omg.org/CORBA/Contained/move:1.0
    //
    /***/

    void
    move(Container new_container,
         String new_name,
         String new_version);
}
