// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.CORBA;

//
// IDL:omg.org/CORBA/IDLType:1.0
//
final public class IDLTypeHolder implements org.omg.CORBA.portable.Streamable
{
    public IDLType value;

    public
    IDLTypeHolder()
    {
    }

    public
    IDLTypeHolder(IDLType initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = IDLTypeHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        IDLTypeHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return IDLTypeHelper.type();
    }
}
