// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.CORBA;

//
// IDL:omg.org/CORBA/InvalidPolicies:1.0
//
final public class InvalidPoliciesHelper
{
    public static void
    insert(org.omg.CORBA.Any any, InvalidPolicies val)
    {
        org.omg.CORBA.portable.OutputStream out = any.create_output_stream();
        write(out, val);
        any.read_value(out.create_input_stream(), type());
    }

    public static InvalidPolicies
    extract(org.omg.CORBA.Any any)
    {
        if(any.type().equivalent(type()))
            return read(any.create_input_stream());
        else
            throw new org.omg.CORBA.BAD_OPERATION();
    }

    private static org.omg.CORBA.TypeCode typeCode_;

    public static org.omg.CORBA.TypeCode
    type()
    {
        if(typeCode_ == null)
        {
            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
            org.omg.CORBA.StructMember[] members = new org.omg.CORBA.StructMember[1];

            members[0] = new org.omg.CORBA.StructMember();
            members[0].name = "indices";
            members[0].type = orb.create_sequence_tc(0, orb.get_primitive_tc(org.omg.CORBA.TCKind.tk_ushort));

            typeCode_ = orb.create_exception_tc(id(), "InvalidPolicies", members);
        }

        return typeCode_;
    }

    public static String
    id()
    {
        return "IDL:omg.org/CORBA/InvalidPolicies:1.0";
    }

    public static InvalidPolicies
    read(org.omg.CORBA.portable.InputStream in)
    {
        if(!id().equals(in.read_string()))
            throw new org.omg.CORBA.MARSHAL();

        InvalidPolicies _ob_v = new InvalidPolicies();
        int len0 = in.read_ulong();
        _ob_v.indices = new short[len0];
        in.read_ushort_array(_ob_v.indices, 0, len0);
        return _ob_v;
    }

    public static void
    write(org.omg.CORBA.portable.OutputStream out, InvalidPolicies val)
    {
        out.write_string(id());
        int len0 = val.indices.length;
        out.write_ulong(len0);
        out.write_ushort_array(val.indices, 0, len0);
    }
}
