// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.CORBA;

//
// IDL:omg.org/CORBA/OperationDescription:1.0
//
/***/

final public class OperationDescription implements org.omg.CORBA.portable.IDLEntity
{
    private static final String _ob_id = "IDL:omg.org/CORBA/OperationDescription:1.0";

    public
    OperationDescription()
    {
    }

    public
    OperationDescription(String name,
                         String id,
                         String defined_in,
                         String version,
                         org.omg.CORBA.TypeCode result,
                         OperationMode mode,
                         String[] contexts,
                         ParameterDescription[] parameters,
                         ExceptionDescription[] exceptions,
                         NativeDescription[] natives)
    {
        this.name = name;
        this.id = id;
        this.defined_in = defined_in;
        this.version = version;
        this.result = result;
        this.mode = mode;
        this.contexts = contexts;
        this.parameters = parameters;
        this.exceptions = exceptions;
        this.natives = natives;
    }

    public String name;
    public String id;
    public String defined_in;
    public String version;
    public org.omg.CORBA.TypeCode result;
    public OperationMode mode;
    public String[] contexts;
    public ParameterDescription[] parameters;
    public ExceptionDescription[] exceptions;
    public NativeDescription[] natives;
}
