// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.CORBA;

//
// IDL:omg.org/CORBA/ParameterDescription:1.0
//
final public class ParameterDescriptionHelper
{
    public static void
    insert(org.omg.CORBA.Any any, ParameterDescription val)
    {
        org.omg.CORBA.portable.OutputStream out = any.create_output_stream();
        write(out, val);
        any.read_value(out.create_input_stream(), type());
    }

    public static ParameterDescription
    extract(org.omg.CORBA.Any any)
    {
        if(any.type().equivalent(type()))
            return read(any.create_input_stream());
        else
            throw new org.omg.CORBA.BAD_OPERATION();
    }

    private static org.omg.CORBA.TypeCode typeCode_;

    public static org.omg.CORBA.TypeCode
    type()
    {
        if(typeCode_ == null)
        {
            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
            org.omg.CORBA.StructMember[] members = new org.omg.CORBA.StructMember[4];

            members[0] = new org.omg.CORBA.StructMember();
            members[0].name = "name";
            members[0].type = IdentifierHelper.type();

            members[1] = new org.omg.CORBA.StructMember();
            members[1].name = "type";
            members[1].type = orb.get_primitive_tc(org.omg.CORBA.TCKind.tk_TypeCode);

            members[2] = new org.omg.CORBA.StructMember();
            members[2].name = "type_def";
            members[2].type = IDLTypeHelper.type();

            members[3] = new org.omg.CORBA.StructMember();
            members[3].name = "mode";
            members[3].type = ParameterModeHelper.type();

            typeCode_ = orb.create_struct_tc(id(), "ParameterDescription", members);
        }

        return typeCode_;
    }

    public static String
    id()
    {
        return "IDL:omg.org/CORBA/ParameterDescription:1.0";
    }

    public static ParameterDescription
    read(org.omg.CORBA.portable.InputStream in)
    {
        ParameterDescription _ob_v = new ParameterDescription();
        _ob_v.name = IdentifierHelper.read(in);
        _ob_v.type = in.read_TypeCode();
        _ob_v.type_def = IDLTypeHelper.read(in);
        _ob_v.mode = ParameterModeHelper.read(in);
        return _ob_v;
    }

    public static void
    write(org.omg.CORBA.portable.OutputStream out, ParameterDescription val)
    {
        IdentifierHelper.write(out, val.name);
        out.write_TypeCode(val.type);
        IDLTypeHelper.write(out, val.type_def);
        ParameterModeHelper.write(out, val.mode);
    }
}
