// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.CORBA;

//
// IDL:omg.org/CORBA/TypeDescription:1.0
//
final public class TypeDescriptionHolder implements org.omg.CORBA.portable.Streamable
{
    public TypeDescription value;

    public
    TypeDescriptionHolder()
    {
    }

    public
    TypeDescriptionHolder(TypeDescription initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = TypeDescriptionHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        TypeDescriptionHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return TypeDescriptionHelper.type();
    }
}
