// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.CORBA;

//
// IDL:omg.org/CORBA/ValueDescription:1.0
//
final public class ValueDescriptionHolder implements org.omg.CORBA.portable.Streamable
{
    public ValueDescription value;

    public
    ValueDescriptionHolder()
    {
    }

    public
    ValueDescriptionHolder(ValueDescription initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = ValueDescriptionHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        ValueDescriptionHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ValueDescriptionHelper.type();
    }
}
