// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.CORBA;

//
// IDL:omg.org/CORBA/exception_type:1.0
//
/***/

public class exception_type implements org.omg.CORBA.portable.IDLEntity
{
    private static exception_type [] values_ = new exception_type[3];
    private int value_;

    public final static int _NO_EXCEPTION = 0;
    public final static exception_type NO_EXCEPTION = new exception_type(_NO_EXCEPTION);
    public final static int _USER_EXCEPTION = 1;
    public final static exception_type USER_EXCEPTION = new exception_type(_USER_EXCEPTION);
    public final static int _SYSTEM_EXCEPTION = 2;
    public final static exception_type SYSTEM_EXCEPTION = new exception_type(_SYSTEM_EXCEPTION);

    protected
    exception_type(int value)
    {
        values_[value] = this;
        value_ = value;
    }

    public int
    value()
    {
        return value_;
    }

    public static exception_type
    from_int(int value)
    {
        if(value < values_.length)
            return values_[value];
        else
            throw new org.omg.CORBA.BAD_PARAM("Value (" + value  + ") out of range", 25, org.omg.CORBA.CompletionStatus.COMPLETED_NO);
    }

    private java.lang.Object
    readResolve()
        throws java.io.ObjectStreamException
    {
        return from_int(value());
    }
}
