// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.CORBA;

//
// IDL:omg.org/CORBA/exception_type:1.0
//
final public class exception_typeHelper
{
    public static void
    insert(org.omg.CORBA.Any any, exception_type val)
    {
        org.omg.CORBA.portable.OutputStream out = any.create_output_stream();
        write(out, val);
        any.read_value(out.create_input_stream(), type());
    }

    public static exception_type
    extract(org.omg.CORBA.Any any)
    {
        if(any.type().equivalent(type()))
            return read(any.create_input_stream());
        else
            throw new org.omg.CORBA.BAD_OPERATION();
    }

    private static org.omg.CORBA.TypeCode typeCode_;

    public static org.omg.CORBA.TypeCode
    type()
    {
        if(typeCode_ == null)
        {
            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
            String[] members = new String[3];
            members[0] = "NO_EXCEPTION";
            members[1] = "USER_EXCEPTION";
            members[2] = "SYSTEM_EXCEPTION";
            typeCode_ = orb.create_enum_tc(id(), "exception_type", members);
        }

        return typeCode_;
    }

    public static String
    id()
    {
        return "IDL:omg.org/CORBA/exception_type:1.0";
    }

    public static exception_type
    read(org.omg.CORBA.portable.InputStream in)
    {
        exception_type _ob_v;
        _ob_v = exception_type.from_int(in.read_ulong());
        return _ob_v;
    }

    public static void
    write(org.omg.CORBA.portable.OutputStream out, exception_type val)
    {
        out.write_ulong(val.value());
    }
}
