// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.Dynamic;

//
// IDL:omg.org/Dynamic/Parameter:1.0
//
final public class ParameterHelper
{
    public static void
    insert(org.omg.CORBA.Any any, Parameter val)
    {
        org.omg.CORBA.portable.OutputStream out = any.create_output_stream();
        write(out, val);
        any.read_value(out.create_input_stream(), type());
    }

    public static Parameter
    extract(org.omg.CORBA.Any any)
    {
        if(any.type().equivalent(type()))
            return read(any.create_input_stream());
        else
            throw new org.omg.CORBA.BAD_OPERATION();
    }

    private static org.omg.CORBA.TypeCode typeCode_;

    public static org.omg.CORBA.TypeCode
    type()
    {
        if(typeCode_ == null)
        {
            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
            org.omg.CORBA.StructMember[] members = new org.omg.CORBA.StructMember[2];

            members[0] = new org.omg.CORBA.StructMember();
            members[0].name = "argument";
            members[0].type = orb.get_primitive_tc(org.omg.CORBA.TCKind.tk_any);

            members[1] = new org.omg.CORBA.StructMember();
            members[1].name = "mode";
            members[1].type = org.omg.CORBA.ParameterModeHelper.type();

            typeCode_ = orb.create_struct_tc(id(), "Parameter", members);
        }

        return typeCode_;
    }

    public static String
    id()
    {
        return "IDL:omg.org/Dynamic/Parameter:1.0";
    }

    public static Parameter
    read(org.omg.CORBA.portable.InputStream in)
    {
        Parameter _ob_v = new Parameter();
        _ob_v.argument = in.read_any();
        _ob_v.mode = org.omg.CORBA.ParameterModeHelper.read(in);
        return _ob_v;
    }

    public static void
    write(org.omg.CORBA.portable.OutputStream out, Parameter val)
    {
        out.write_any(val.argument);
        org.omg.CORBA.ParameterModeHelper.write(out, val.mode);
    }
}
