// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.DynamicAny;

//
// IDL:omg.org/DynamicAny/DynAnyFactory:1.0
//
final public class DynAnyFactoryHolder implements org.omg.CORBA.portable.Streamable
{
    public DynAnyFactory value;

    public
    DynAnyFactoryHolder()
    {
    }

    public
    DynAnyFactoryHolder(DynAnyFactory initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = DynAnyFactoryHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        DynAnyFactoryHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return DynAnyFactoryHelper.type();
    }
}
