// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.DynamicAny;

//
// IDL:omg.org/DynamicAny/DynAnyFactory:1.0
//
/***/

public interface DynAnyFactoryOperations
{
    //
    // IDL:omg.org/DynamicAny/DynAnyFactory/create_dyn_any:1.0
    //
    /***/

    DynAny
    create_dyn_any(org.omg.CORBA.Any value)
        throws org.omg.DynamicAny.DynAnyFactoryPackage.InconsistentTypeCode;

    //
    // IDL:omg.org/DynamicAny/DynAnyFactory/create_dyn_any_from_type_code:1.0
    //
    /***/

    DynAny
    create_dyn_any_from_type_code(org.omg.CORBA.TypeCode type)
        throws org.omg.DynamicAny.DynAnyFactoryPackage.InconsistentTypeCode;

    //
    // IDL:omg.org/DynamicAny/DynAnyFactory/create_dyn_any_without_truncation:1.0
    //
    /***/

    DynAny
    create_dyn_any_without_truncation(org.omg.CORBA.Any value)
        throws org.omg.DynamicAny.DynAnyFactoryPackage.InconsistentTypeCode,
               MustTruncate;

    //
    // IDL:omg.org/DynamicAny/DynAnyFactory/create_multiple_dyn_anys:1.0
    //
    /***/

    DynAny[]
    create_multiple_dyn_anys(org.omg.CORBA.Any[] values,
                             boolean allow_truncate)
        throws org.omg.DynamicAny.DynAnyFactoryPackage.InconsistentTypeCode,
               MustTruncate;

    //
    // IDL:omg.org/DynamicAny/DynAnyFactory/create_multiple_anys:1.0
    //
    /***/

    org.omg.CORBA.Any[]
    create_multiple_anys(DynAny[] values);
}
