// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.DynamicAny;

//
// IDL:omg.org/DynamicAny/DynEnum:1.0
//
final public class DynEnumHolder implements org.omg.CORBA.portable.Streamable
{
    public DynEnum value;

    public
    DynEnumHolder()
    {
    }

    public
    DynEnumHolder(DynEnum initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = DynEnumHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        DynEnumHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return DynEnumHelper.type();
    }
}
