// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.IOP;

//
// IDL:omg.org/IOP/CodecFactory:1.0
//
final public class CodecFactoryHolder implements org.omg.CORBA.portable.Streamable
{
    public CodecFactory value;

    public
    CodecFactoryHolder()
    {
    }

    public
    CodecFactoryHolder(CodecFactory initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = CodecFactoryHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        CodecFactoryHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return CodecFactoryHelper.type();
    }
}
