// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.IOP.CodecFactoryPackage;

//
// IDL:omg.org/IOP/CodecFactory/UnknownEncoding:1.0
//
final public class UnknownEncodingHolder implements org.omg.CORBA.portable.Streamable
{
    public UnknownEncoding value;

    public
    UnknownEncodingHolder()
    {
    }

    public
    UnknownEncodingHolder(UnknownEncoding initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = UnknownEncodingHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        UnknownEncodingHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return UnknownEncodingHelper.type();
    }
}
