// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.IOP;

//
// IDL:omg.org/IOP/EncodingFormat:1.0
//
final public class EncodingFormatHelper
{
    public static void
    insert(org.omg.CORBA.Any any, short val)
    {
        org.omg.CORBA.portable.OutputStream out = any.create_output_stream();
        write(out, val);
        any.read_value(out.create_input_stream(), type());
    }

    public static short
    extract(org.omg.CORBA.Any any)
    {
        if(any.type().equivalent(type()))
            return read(any.create_input_stream());
        else
            throw new org.omg.CORBA.BAD_OPERATION();
    }

    private static org.omg.CORBA.TypeCode typeCode_;

    public static org.omg.CORBA.TypeCode
    type()
    {
        if(typeCode_ == null)
        {
            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
            typeCode_ = orb.create_alias_tc(id(), "EncodingFormat", orb.get_primitive_tc(org.omg.CORBA.TCKind.tk_short));
        }

        return typeCode_;
    }

    public static String
    id()
    {
        return "IDL:omg.org/IOP/EncodingFormat:1.0";
    }

    public static short
    read(org.omg.CORBA.portable.InputStream in)
    {
        short _ob_v;
        _ob_v = in.read_short();
        return _ob_v;
    }

    public static void
    write(org.omg.CORBA.portable.OutputStream out, short val)
    {
        out.write_short(val);
    }
}
