// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.IOP;

//
// IDL:omg.org/IOP/Encoding:1.0
//
final public class EncodingHolder implements org.omg.CORBA.portable.Streamable
{
    public Encoding value;

    public
    EncodingHolder()
    {
    }

    public
    EncodingHolder(Encoding initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = EncodingHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        EncodingHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return EncodingHelper.type();
    }
}
