// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.MessageRouting;

//
// IDL:omg.org/MessageRouting/LimitedPing:1.0
//
/***/

public abstract class LimitedPing extends UnlimitedPing
{
    //
    // IDL:omg.org/MessageRouting/LimitedPing/interval_limit:1.0
    //
    /***/

    public int interval_limit;

    private static String[] _OB_truncatableIds_ =
    {
        LimitedPingHelper.id()
    };

    public String[]
    _truncatable_ids()
    {
        return _OB_truncatableIds_;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        super._read(in);
        interval_limit = in.read_ulong();
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        super._write(out);
        out.write_ulong(interval_limit);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return LimitedPingHelper.type();
    }
}
