// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.MessageRouting;

//
// IDL:omg.org/MessageRouting/MessageBody:1.0
//
final public class MessageBodyHolder implements org.omg.CORBA.portable.Streamable
{
    public MessageBody value;

    public
    MessageBodyHolder()
    {
    }

    public
    MessageBodyHolder(MessageBody initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = MessageBodyHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        MessageBodyHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return MessageBodyHelper.type();
    }
}
