// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.MessageRouting;

//
// IDL:omg.org/MessageRouting/PersistentRequest:1.0
//
final public class PersistentRequestHolder implements org.omg.CORBA.portable.Streamable
{
    public PersistentRequest value;

    public
    PersistentRequestHolder()
    {
    }

    public
    PersistentRequestHolder(PersistentRequest initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = PersistentRequestHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        PersistentRequestHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return PersistentRequestHelper.type();
    }
}
