// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.MessageRouting;

//
// IDL:omg.org/MessageRouting/ReplyDestination:1.0
//
final public class ReplyDestinationHelper
{
    public static void
    insert(org.omg.CORBA.Any any, ReplyDestination val)
    {
        org.omg.CORBA.portable.OutputStream out = any.create_output_stream();
        write(out, val);
        any.read_value(out.create_input_stream(), type());
    }

    public static ReplyDestination
    extract(org.omg.CORBA.Any any)
    {
        if(any.type().equivalent(type()))
            return read(any.create_input_stream());
        else
            throw new org.omg.CORBA.BAD_OPERATION();
    }

    private static org.omg.CORBA.TypeCode typeCode_;

    public static org.omg.CORBA.TypeCode
    type()
    {
        if(typeCode_ == null)
        {
            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
            org.omg.CORBA.StructMember[] members = new org.omg.CORBA.StructMember[2];

            members[0] = new org.omg.CORBA.StructMember();
            members[0].name = "handler_type";
            members[0].type = ReplyDispositionHelper.type();

            members[1] = new org.omg.CORBA.StructMember();
            members[1].name = "handler";
            members[1].type = org.omg.Messaging.ReplyHandlerHelper.type();

            typeCode_ = orb.create_struct_tc(id(), "ReplyDestination", members);
        }

        return typeCode_;
    }

    public static String
    id()
    {
        return "IDL:omg.org/MessageRouting/ReplyDestination:1.0";
    }

    public static ReplyDestination
    read(org.omg.CORBA.portable.InputStream in)
    {
        ReplyDestination _ob_v = new ReplyDestination();
        _ob_v.handler_type = ReplyDispositionHelper.read(in);
        _ob_v.handler = org.omg.Messaging.ReplyHandlerHelper.read(in);
        return _ob_v;
    }

    public static void
    write(org.omg.CORBA.portable.OutputStream out, ReplyDestination val)
    {
        ReplyDispositionHelper.write(out, val.handler_type);
        org.omg.Messaging.ReplyHandlerHelper.write(out, val.handler);
    }
}
