// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.MessageRouting;

//
// IDL:omg.org/MessageRouting/RequestInfo:1.0
//
/***/

final public class RequestInfo implements org.omg.CORBA.portable.IDLEntity
{
    private static final String _ob_id = "IDL:omg.org/MessageRouting/RequestInfo:1.0";

    public
    RequestInfo()
    {
    }

    public
    RequestInfo(Router[] visited,
                Router[] to_visit,
                org.omg.CORBA.Object target,
                short profile_index,
                ReplyDestination reply_destination,
                org.omg.Messaging.PolicyValue[] selected_qos,
                RequestMessage payload)
    {
        this.visited = visited;
        this.to_visit = to_visit;
        this.target = target;
        this.profile_index = profile_index;
        this.reply_destination = reply_destination;
        this.selected_qos = selected_qos;
        this.payload = payload;
    }

    public Router[] visited;
    public Router[] to_visit;
    public org.omg.CORBA.Object target;
    public short profile_index;
    public ReplyDestination reply_destination;
    public org.omg.Messaging.PolicyValue[] selected_qos;
    public RequestMessage payload;
}
