// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.MessageRouting;

//
// IDL:omg.org/MessageRouting/ResumePolicy:1.0
//
/***/

public abstract class ResumePolicy implements org.omg.CORBA.portable.StreamableValue,
                                              org.omg.CORBA.PolicyOperations
{
    //
    // IDL:omg.org/MessageRouting/ResumePolicy/resume_seconds:1.0
    //
    /***/

    public int resume_seconds;

    private static String[] _OB_truncatableIds_ =
    {
        ResumePolicyHelper.id()
    };

    public String[]
    _truncatable_ids()
    {
        return _OB_truncatableIds_;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        resume_seconds = in.read_ulong();
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        out.write_ulong(resume_seconds);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ResumePolicyHelper.type();
    }
}
