// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.Messaging;

//
// IDL:omg.org/Messaging/PolicyValueSeq:1.0
//
final public class PolicyValueSeqHolder implements org.omg.CORBA.portable.Streamable
{
    public PolicyValue[] value;

    public
    PolicyValueSeqHolder()
    {
    }

    public
    PolicyValueSeqHolder(PolicyValue[] initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = PolicyValueSeqHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        PolicyValueSeqHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return PolicyValueSeqHelper.type();
    }
}
