// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.Messaging;

//
// IDL:omg.org/Messaging/Poller:1.0
//
final public class PollerHolder implements org.omg.CORBA.portable.Streamable
{
    public Poller value;

    public
    PollerHolder()
    {
    }

    public
    PollerHolder(Poller initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = PollerHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        PollerHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return PollerHelper.type();
    }
}
