// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.PortableInterceptor;

//
// IDL:omg.org/PortableInterceptor/ORBInitInfo:1.0
//
/***/

public interface ORBInitInfoOperations
{
    //
    // IDL:omg.org/PortableInterceptor/ORBInitInfo/arguments:1.0
    //
    /***/

    String[]
    arguments();

    //
    // IDL:omg.org/PortableInterceptor/ORBInitInfo/orb_id:1.0
    //
    /***/

    String
    orb_id();

    //
    // IDL:omg.org/PortableInterceptor/ORBInitInfo/codec_factory:1.0
    //
    /***/

    org.omg.IOP.CodecFactory
    codec_factory();

    //
    // IDL:omg.org/PortableInterceptor/ORBInitInfo/register_initial_reference:1.0
    //
    /***/

    void
    register_initial_reference(String id,
                               org.omg.CORBA.Object obj)
        throws org.omg.PortableInterceptor.ORBInitInfoPackage.InvalidName;

    //
    // IDL:omg.org/PortableInterceptor/ORBInitInfo/resolve_initial_references:1.0
    //
    /***/

    org.omg.CORBA.Object
    resolve_initial_references(String id)
        throws org.omg.PortableInterceptor.ORBInitInfoPackage.InvalidName;

    //
    // IDL:omg.org/PortableInterceptor/ORBInitInfo/add_client_request_interceptor:1.0
    //
    /***/

    void
    add_client_request_interceptor(ClientRequestInterceptor interceptor)
        throws org.omg.PortableInterceptor.ORBInitInfoPackage.DuplicateName;

    //
    // IDL:omg.org/PortableInterceptor/ORBInitInfo/add_server_request_interceptor:1.0
    //
    /***/

    void
    add_server_request_interceptor(ServerRequestInterceptor interceptor)
        throws org.omg.PortableInterceptor.ORBInitInfoPackage.DuplicateName;

    //
    // IDL:omg.org/PortableInterceptor/ORBInitInfo/add_ior_interceptor:1.0
    //
    /***/

    void
    add_ior_interceptor(IORInterceptor interceptor)
        throws org.omg.PortableInterceptor.ORBInitInfoPackage.DuplicateName;

    //
    // IDL:omg.org/PortableInterceptor/ORBInitInfo/allocate_slot_id:1.0
    //
    /***/

    int
    allocate_slot_id();

    //
    // IDL:omg.org/PortableInterceptor/ORBInitInfo/register_policy_factory:1.0
    //
    /***/

    void
    register_policy_factory(int type,
                            PolicyFactory policy_factory);
}
