// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.PortableInterceptor;

//
// IDL:omg.org/PortableInterceptor/RequestInfo:1.0
//
/***/

public interface RequestInfoOperations
{
    //
    // IDL:omg.org/PortableInterceptor/RequestInfo/request_id:1.0
    //
    /***/

    int
    request_id();

    //
    // IDL:omg.org/PortableInterceptor/RequestInfo/operation:1.0
    //
    /***/

    String
    operation();

    //
    // IDL:omg.org/PortableInterceptor/RequestInfo/arguments:1.0
    //
    /***/

    org.omg.Dynamic.Parameter[]
    arguments();

    //
    // IDL:omg.org/PortableInterceptor/RequestInfo/exceptions:1.0
    //
    /***/

    org.omg.CORBA.TypeCode[]
    exceptions();

    //
    // IDL:omg.org/PortableInterceptor/RequestInfo/contexts:1.0
    //
    /***/

    String[]
    contexts();

    //
    // IDL:omg.org/PortableInterceptor/RequestInfo/operation_context:1.0
    //
    /***/

    String[]
    operation_context();

    //
    // IDL:omg.org/PortableInterceptor/RequestInfo/result:1.0
    //
    /***/

    org.omg.CORBA.Any
    result();

    //
    // IDL:omg.org/PortableInterceptor/RequestInfo/response_expected:1.0
    //
    /***/

    boolean
    response_expected();

    //
    // IDL:omg.org/PortableInterceptor/RequestInfo/sync_scope:1.0
    //
    /***/

    short
    sync_scope();

    //
    // IDL:omg.org/PortableInterceptor/RequestInfo/reply_status:1.0
    //
    /***/

    short
    reply_status();

    //
    // IDL:omg.org/PortableInterceptor/RequestInfo/forward_reference:1.0
    //
    /***/

    org.omg.CORBA.Object
    forward_reference();

    //
    // IDL:omg.org/PortableInterceptor/RequestInfo/get_slot:1.0
    //
    /***/

    org.omg.CORBA.Any
    get_slot(int id)
        throws InvalidSlot;

    //
    // IDL:omg.org/PortableInterceptor/RequestInfo/get_request_service_context:1.0
    //
    /***/

    org.omg.IOP.ServiceContext
    get_request_service_context(int id);

    //
    // IDL:omg.org/PortableInterceptor/RequestInfo/get_reply_service_context:1.0
    //
    /***/

    org.omg.IOP.ServiceContext
    get_reply_service_context(int id);
}
