// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.PortableServer;

//
// IDL:omg.org/PortableServer/ObjectId:1.0
//
final public class ObjectIdHolder implements org.omg.CORBA.portable.Streamable
{
    public byte[] value;

    public
    ObjectIdHolder()
    {
    }

    public
    ObjectIdHolder(byte[] initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = ObjectIdHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        ObjectIdHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ObjectIdHelper.type();
    }
}
