// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.PortableServer;

//
// IDL:omg.org/PortableServer/POAList:1.0
//
final public class POAListHolder implements org.omg.CORBA.portable.Streamable
{
    public POA[] value;

    public
    POAListHolder()
    {
    }

    public
    POAListHolder(POA[] initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = POAListHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        POAListHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return POAListHelper.type();
    }
}
