// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.PortableServer;

//
// IDL:omg.org/PortableServer/POAManager:2.3
//
/***/

public interface POAManagerOperations
{
    //
    // IDL:omg.org/PortableServer/POAManager/activate:1.0
    //
    /***/

    void
    activate()
        throws org.omg.PortableServer.POAManagerPackage.AdapterInactive;

    //
    // IDL:omg.org/PortableServer/POAManager/hold_requests:1.0
    //
    /***/

    void
    hold_requests(boolean wait_for_completion)
        throws org.omg.PortableServer.POAManagerPackage.AdapterInactive;

    //
    // IDL:omg.org/PortableServer/POAManager/discard_requests:1.0
    //
    /***/

    void
    discard_requests(boolean wait_for_completion)
        throws org.omg.PortableServer.POAManagerPackage.AdapterInactive;

    //
    // IDL:omg.org/PortableServer/POAManager/deactivate:1.0
    //
    /***/

    void
    deactivate(boolean etherealize_objects,
               boolean wait_for_completion)
        throws org.omg.PortableServer.POAManagerPackage.AdapterInactive;

    //
    // IDL:omg.org/PortableServer/POAManager/get_state:1.0
    //
    /***/

    org.omg.PortableServer.POAManagerPackage.State
    get_state();

    //
    // IDL:omg.org/PortableServer/POAManager/get_id:1.0
    //
    /***/

    String
    get_id();
}
