// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.PortableServer;

//
// IDL:omg.org/PortableServer/ThreadPolicy:1.0
//
final public class ThreadPolicyHolder implements org.omg.CORBA.portable.Streamable
{
    public ThreadPolicy value;

    public
    ThreadPolicyHolder()
    {
    }

    public
    ThreadPolicyHolder(ThreadPolicy initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = ThreadPolicyHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        ThreadPolicyHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ThreadPolicyHelper.type();
    }
}
