// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************
package org.omg.CORBA;

abstract public class AbstractBaseHelper
{
    public static void
    insert(org.omg.CORBA.Any a, java.lang.Object v)
    {
        org.omg.CORBA.portable.OutputStream out = a.create_output_stream();
        write(out, v);
        a.read_value(out.create_input_stream(), type());
    }

    public static java.lang.Object
    extract(org.omg.CORBA.Any a)
    {
        if(a.type().equivalent(type()))
            return read(a.create_input_stream());
        else
            throw new org.omg.CORBA.BAD_OPERATION();
    }

    private static org.omg.CORBA.TypeCode typeCode_;

    public static org.omg.CORBA.TypeCode
    type()
    {
        if(typeCode_ == null)
        {
            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
            typeCode_ = orb.create_native_tc(id(), "AbstractBase");
        }

        return typeCode_;
    }

    public static String
    id()
    {
        return "IDL:omg.org/CORBA/AbstractBase:1.0";
    }

    public static java.lang.Object
    read(org.omg.CORBA.portable.InputStream in)
    {
        org.omg.CORBA_2_3.portable.InputStream in_2_3 =
            (org.omg.CORBA_2_3.portable.InputStream)in;
        return in_2_3.read_abstract_interface();
    }

    public static void
    write(org.omg.CORBA.portable.OutputStream out, java.lang.Object value)
    {
        org.omg.CORBA_2_3.portable.OutputStream out_2_3 =
            (org.omg.CORBA_2_3.portable.OutputStream)out;
        out_2_3.write_abstract_interface(value);
    }
}
