// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************
package org.omg.CORBA;

final public class ByteHolder
    implements org.omg.CORBA.portable.Streamable
{
    public byte value;

    public
    ByteHolder()
    {
    }

    public
    ByteHolder(byte initial)
    {
	value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream input)
    {
	value = input.read_octet();
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream output)
    {
	output.write_octet(value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
	return org.omg.CORBA.ORB.init().get_primitive_tc(TCKind.tk_octet);
    }
}
