// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************
package org.omg.CORBA;

final public class NO_RESPONSE extends org.omg.CORBA.SystemException
{
    public NO_RESPONSE()
    {
	super("", 0, CompletionStatus.COMPLETED_NO);
    }

    public NO_RESPONSE(int minor, CompletionStatus completed)
    {
	super("", minor, completed);
    }

    public NO_RESPONSE(String reason)
    {
	super(reason, 0, CompletionStatus.COMPLETED_NO);
    }

    public NO_RESPONSE(String reason, int minor, CompletionStatus completed)
    {
	super(reason, minor, completed);
    }
}
