// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************
package org.omg.CORBA;

public interface Object
{
    boolean
    _is_a(String identifier);

    boolean
    _is_equivalent(org.omg.CORBA.Object that);

    boolean
    _non_existent();

    int
    _hash(int maximum);

    org.omg.CORBA.Object
    _duplicate();

    void
    _release();

    /**
     * @deprecated Deprecated by CORBA 2.3.
     */
    InterfaceDef
    _get_interface();

    org.omg.CORBA.Object
    _get_interface_def();

    Request
    _request(String s);

    Request
    _create_request(Context ctx, String operation,
		    NVList arg_list, NamedValue result);

    Request
    _create_request(Context ctx, String operation,
		    NVList arg_list, NamedValue result,
		    ExceptionList exclist, ContextList ctxlist);
    
    org.omg.CORBA.Policy
    _get_policy(int policy_type);

    org.omg.CORBA.Object
    _set_policy_override(org.omg.CORBA.Policy[] policies,
			 org.omg.CORBA.SetOverrideType set_add);

    org.omg.CORBA.DomainManager[]
    _get_domain_managers();
}
