// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************
package org.omg.CORBA;

public abstract class ServerRequest
{
    /**
     * @deprecated use operation()
     **/
    public String
    op_name()
    {
	return operation();
    }

    public String
    operation()
    {
	throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    public abstract Context
    ctx();

    /**
     * @deprecated use arguments()
     **/
    public void
    params(NVList parms)
    {
	arguments(parms);
    }

    public void
    arguments(NVList nv)
    {
	throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    /**
     * @deprecated use set_result()
     **/
    public void
    result(Any a)
    {
	set_result(a);
    }

    public void
    set_result(Any a)
    {
	throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    /**
     * @deprecated use set_exception()
     **/
    public void
    except(Any a)
    {
	set_exception(a);
    }

    public void
    set_exception(Any val)
    {
	throw new org.omg.CORBA.NO_IMPLEMENT();
    }
}
