// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************
package org.omg.CORBA;

final public class TRANSACTION_UNAVAILABLE
    extends org.omg.CORBA.SystemException
{
    public TRANSACTION_UNAVAILABLE()
    {
	super("", 0, CompletionStatus.COMPLETED_NO);
    }

    public TRANSACTION_UNAVAILABLE(int minor, CompletionStatus completed)
    {
	super("", minor, completed);
    }

    public TRANSACTION_UNAVAILABLE(String reason)
    {
	super(reason, 0, CompletionStatus.COMPLETED_NO);
    }

    public TRANSACTION_UNAVAILABLE(String reason, int minor,
				   CompletionStatus completed)
    {
	super(reason, minor, completed);
    }
}
