// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************
package org.omg.CORBA_2_4;

//
// This class is necessary because we need to add tk_local_interface
// but the JDK's version of TCKind can interfere
//
public class TCKind extends org.omg.CORBA.TCKind
{
    public final static int _tk_local_interface = 33;
    public static TCKind tk_local_interface;

    //
    // The behavior of the constructor varies depending on whether
    // the JDK's version of org.omg.CORBA.TCKind is present. If it
    // is present, the first allocation will cause a BAD_PARAM
    // exception, in which case we allocate again using a dummy value.
    // If the ORBacus version of org.omg.CORBA.TCKind is present,
    // the first constructor will succeed.
    //
    static
    {
        try
        {
            tk_local_interface = new TCKind(_tk_local_interface);
        }
        catch(org.omg.CORBA.BAD_PARAM ex)
        {
            //
            // Must be using the JDK ORB
            //
            tk_local_interface = new TCKind(0);
        }
    }

    protected
    TCKind(int value)
    {
        super(value);
    }

    public int
    value()
    {
        return _tk_local_interface;
    }

    public static org.omg.CORBA.TCKind
    from_int(int value)
    {
        if(value == _tk_local_interface)
            return tk_local_interface;
        else
            return org.omg.CORBA.TCKind.from_int(value);
    }

    private java.lang.Object
    readResolve()
        throws java.io.ObjectStreamException
    {
        return from_int(value());
    }
}
