// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.PortableServer;

abstract public class Servant
{
    private transient org.omg.PortableServer.portable.Delegate delegate_ =
        null;

    final public org.omg.CORBA.Object
    _this_object()
    {
	return _get_delegate().this_object(this);
    }

    final public org.omg.CORBA.Object
    _this_object(org.omg.CORBA.ORB orb)
    {
	try
	{
	    ((org.omg.CORBA_2_3.ORB)orb).set_delegate(this);
	}
	catch(ClassCastException ex)
	{
	    throw new org.omg.CORBA.BAD_PARAM(
		"POA servant requires an instance of org.omg.CORBA_2_3.ORB");
	}

	return _this_object();
    }

    final public org.omg.CORBA.ORB
    _orb()
    {
	return _get_delegate().orb(this);
    }

    final public org.omg.PortableServer.POA
    _poa()
    {
	return _get_delegate().poa(this);
    }

    final public byte[]
    _object_id()
    {
	return _get_delegate().object_id(this);
    }

    public org.omg.PortableServer.POA
    _default_POA()
    {
	return _get_delegate().default_POA(this);
    }

    public boolean
    _is_a(String repository_id)
    {
	return _get_delegate().is_a(this, repository_id);
    }

    public boolean
    _non_existent()
    {
	return _get_delegate().non_existent(this);
    }

    public org.omg.CORBA.InterfaceDef
    _get_interface()
    {
	return _get_delegate().get_interface(this);
    }

    public org.omg.CORBA.Object
    _get_interface_def()
    {
        return _get_delegate().get_interface_def(this);
    }

    abstract public String[]
    _all_interfaces(org.omg.PortableServer.POA poa, byte[] object_id);

    final public org.omg.PortableServer.portable.Delegate
    _get_delegate()
    {
	if(delegate_ == null)
	    throw new org.omg.CORBA.BAD_INV_ORDER(
		"The servant has not been associated with an ORB instance");

	return delegate_;
    }

    final public void
    _set_delegate(org.omg.PortableServer.portable.Delegate delegate)
    {
	delegate_ = delegate;
    }
}
