// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package org.omg.PortableServer;

//
// This class is provided only for backward compatibility.
//
public abstract class ServantActivatorPOA
    extends org.omg.PortableServer.Servant
    implements ServantActivator
{
    public ServantActivator
    _this()
    {
        return this;
    }

    public ServantActivator
    _this(org.omg.CORBA.ORB orb)
    {
        return this;
    }

    public String[]
    _all_interfaces(org.omg.PortableServer.POA poa, byte[] objectId)
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    //
    // Implementation of org.omg.CORBA.Object methods
    //

    public boolean
    _is_a(String repository_id)
    {
        throw new org.omg.CORBA.NO_IMPLEMENT(
            "operation not supported by local object",
            0x4f4d0000 | 3, // MinorNotSupportedByLocalObject
            org.omg.CORBA.CompletionStatus.COMPLETED_NO);
    }

    public boolean
    _is_equivalent(org.omg.CORBA.Object rhs)
    {
        return equals(rhs);
    }

    public boolean
    _non_existent()
    {
        return false;
    }

    public int
    _hash(int maximum)
    {
        //
        // Calculate a local hash value
        //
        return hashCode() % (maximum + 1);
    }

    public org.omg.CORBA.Object
    _duplicate()
    {
        throw new org.omg.CORBA.NO_IMPLEMENT(
            "operation not supported by local object",
            0x4f4d0000 | 3, // MinorNotSupportedByLocalObject
            org.omg.CORBA.CompletionStatus.COMPLETED_NO);
    }

    public void
    _release()
    {
        throw new org.omg.CORBA.NO_IMPLEMENT(
            "operation not supported by local object",
            0x4f4d0000 | 3, // MinorNotSupportedByLocalObject
            org.omg.CORBA.CompletionStatus.COMPLETED_NO);
    }

    /**
     * @deprecated Deprecated by CORBA 2.3.
     **/
    public org.omg.CORBA.InterfaceDef
    _get_interface()
    {
        throw new org.omg.CORBA.NO_IMPLEMENT(
            "operation not supported by local object",
            0x4f4d0000 | 3, // MinorNotSupportedByLocalObject
            org.omg.CORBA.CompletionStatus.COMPLETED_NO);
    }

    public org.omg.CORBA.Object
    _get_interface_def()
    {
        throw new org.omg.CORBA.NO_IMPLEMENT(
            "operation not supported by local object",
            0x4f4d0000 | 3, // MinorNotSupportedByLocalObject
            org.omg.CORBA.CompletionStatus.COMPLETED_NO);
    }

    public org.omg.CORBA.Request
    _request(String operation)
    {
        throw new org.omg.CORBA.NO_IMPLEMENT(
            "DII operation not supported by local object",
            0x4f4d0000 | 4, // MinorDIINotSupportedByLocalObject
            org.omg.CORBA.CompletionStatus.COMPLETED_NO);
    }

    public org.omg.CORBA.Request
    _create_request(org.omg.CORBA.Context ctx, String operation,
                    org.omg.CORBA.NVList arg_list,
                    org.omg.CORBA.NamedValue result)
    {
        throw new org.omg.CORBA.NO_IMPLEMENT(
            "DII operation not supported by local object",
            0x4f4d0000 | 4, // MinorDIINotSupportedByLocalObject
            org.omg.CORBA.CompletionStatus.COMPLETED_NO);
    }

    public org.omg.CORBA.Request
    _create_request(org.omg.CORBA.Context ctx, String operation,
                    org.omg.CORBA.NVList arg_list,
                    org.omg.CORBA.NamedValue result,
                    org.omg.CORBA.ExceptionList excepts,
                    org.omg.CORBA.ContextList contexts)
    {
        throw new org.omg.CORBA.NO_IMPLEMENT(
            "DII operation not supported by local object",
            0x4f4d0000 | 4, // MinorDIINotSupportedByLocalObject
            org.omg.CORBA.CompletionStatus.COMPLETED_NO);
    }

    public org.omg.CORBA.Policy
    _get_policy(int policy_type)
    {
        throw new org.omg.CORBA.NO_IMPLEMENT(
            "operation not supported by local object",
            0x4f4d0000 | 3, // MinorNotSupportedByLocalObject
            org.omg.CORBA.CompletionStatus.COMPLETED_NO);
    }

    public org.omg.CORBA.Object
    _set_policy_override(org.omg.CORBA.Policy[] policies,
                         org.omg.CORBA.SetOverrideType set_add)
    {
        throw new org.omg.CORBA.NO_IMPLEMENT(
            "operation not supported by local object",
            0x4f4d0000 | 3, // MinorNotSupportedByLocalObject
            org.omg.CORBA.CompletionStatus.COMPLETED_NO);
    }

    public org.omg.CORBA.DomainManager[]
    _get_domain_managers()
    {
        throw new org.omg.CORBA.NO_IMPLEMENT(
            "operation not supported by local object",
            0x4f4d0000 | 3, // MinorNotSupportedByLocalObject
            org.omg.CORBA.CompletionStatus.COMPLETED_NO);
    }
}
