// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package ORBTest_Basic;

//
// IDL:ORBTest_Basic/ExBoolean:1.0
//
final public class ExBooleanHolder implements org.omg.CORBA.portable.Streamable
{
    public ExBoolean value;

    public
    ExBooleanHolder()
    {
    }

    public
    ExBooleanHolder(ExBoolean initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = ExBooleanHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        ExBooleanHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ExBooleanHelper.type();
    }
}
