// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package ORBTest_Basic;

//
// IDL:ORBTest_Basic/ExRecursiveStruct:1.0
//
/***/

final public class ExRecursiveStruct extends org.omg.CORBA.UserException
{
    private static final String _ob_id = "IDL:ORBTest_Basic/ExRecursiveStruct:1.0";

    public
    ExRecursiveStruct()
    {
        super(_ob_id);
    }

    public
    ExRecursiveStruct(short us,
                      RecursiveStruct rs)
    {
        super(_ob_id);
        this.us = us;
        this.rs = rs;
    }

    public
    ExRecursiveStruct(String _reason,
                      short us,
                      RecursiveStruct rs)
    {
        super(_ob_id + " " + _reason);
        this.us = us;
        this.rs = rs;
    }

    public short us;
    public RecursiveStruct rs;
}
