// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package ORBTest_Basic;

//
// IDL:ORBTest_Basic/ExString:1.0
//
final public class ExStringHolder implements org.omg.CORBA.portable.Streamable
{
    public ExString value;

    public
    ExStringHolder()
    {
    }

    public
    ExStringHolder(ExString initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = ExStringHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        ExStringHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ExStringHelper.type();
    }
}
