// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package ORBTest_Basic;

//
// IDL:ORBTest_Basic/ExTestEnum:1.0
//
/***/

final public class ExTestEnum extends org.omg.CORBA.UserException
{
    private static final String _ob_id = "IDL:ORBTest_Basic/ExTestEnum:1.0";

    public
    ExTestEnum()
    {
        super(_ob_id);
    }

    public
    ExTestEnum(TestEnum value)
    {
        super(_ob_id);
        this.value = value;
    }

    public
    ExTestEnum(String _reason,
               TestEnum value)
    {
        super(_ob_id + " " + _reason);
        this.value = value;
    }

    public TestEnum value;
}
