// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package ORBTest_Basic;

//
// IDL:ORBTest_Basic/ExVariableArray:1.0
//
final public class ExVariableArrayHolder implements org.omg.CORBA.portable.Streamable
{
    public ExVariableArray value;

    public
    ExVariableArrayHolder()
    {
    }

    public
    ExVariableArrayHolder(ExVariableArray initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = ExVariableArrayHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        ExVariableArrayHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return ExVariableArrayHelper.type();
    }
}
