// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package ORBTest_Fixed;

//
// IDL:ORBTest_Fixed/Intf:1.0
//
public class IntfPOATie extends IntfPOA
{
    private IntfOperations _ob_delegate_;
    private org.omg.PortableServer.POA _ob_poa_;

    public
    IntfPOATie(IntfOperations delegate)
    {
        _ob_delegate_ = delegate;
    }

    public
    IntfPOATie(IntfOperations delegate, org.omg.PortableServer.POA poa)
    {
        _ob_delegate_ = delegate;
        _ob_poa_ = poa;
    }

    public IntfOperations
    _delegate()
    {
        return _ob_delegate_;
    }

    public void
    _delegate(IntfOperations delegate)
    {
        _ob_delegate_ = delegate;
    }

    public org.omg.PortableServer.POA
    _default_POA()
    {
        if(_ob_poa_ != null)
            return _ob_poa_;
        else
            return super._default_POA();
    }

    //
    // IDL:ORBTest_Fixed/Intf/attrFixed:1.0
    //
    public java.math.BigDecimal
    attrFixed()
    {
        return _ob_delegate_.attrFixed();
    }

    public void
    attrFixed(java.math.BigDecimal val)
    {
        _ob_delegate_.attrFixed(val);
    }

    //
    // IDL:ORBTest_Fixed/Intf/opFixed:1.0
    //
    public java.math.BigDecimal
    opFixed(java.math.BigDecimal a0,
            org.omg.CORBA.FixedHolder a1,
            org.omg.CORBA.FixedHolder a2)
    {
        return _ob_delegate_.opFixed(a0,
                                     a1,
                                     a2);
    }

    //
    // IDL:ORBTest_Fixed/Intf/opFixedEx:1.0
    //
    public java.math.BigDecimal
    opFixedEx(java.math.BigDecimal a0,
              org.omg.CORBA.FixedHolder a1,
              org.omg.CORBA.FixedHolder a2)
        throws ExFixed
    {
        return _ob_delegate_.opFixedEx(a0,
                                       a1,
                                       a2);
    }
}
