// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.obv;

public class TestValueFactory_impl implements TestValueValueFactory
{
    public java.io.Serializable
    read_value(org.omg.CORBA_2_3.portable.InputStream in)
    {
        return in.read_value(new TestValue_impl());
    }

    public TestValue
    create(int l)
    {
        TestValue result = new TestValue_impl();
        result.count = l;
        return result;
    }

    public static TestValueValueFactory
    install(org.omg.CORBA.ORB orb)
    {
        org.omg.CORBA_2_3.ORB orb_2_3 = (org.omg.CORBA_2_3.ORB)orb;
        TestValueValueFactory result = new TestValueFactory_impl();
        orb_2_3.register_value_factory(TestValueHelper.id(), result);
        return result;

    }
}
