// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.pi;

//
// IDL:MyServerPolicy:1.0
//
final public class MyServerPolicyHolder implements org.omg.CORBA.portable.Streamable
{
    public MyServerPolicy value;

    public
    MyServerPolicyHolder()
    {
    }

    public
    MyServerPolicyHolder(MyServerPolicy initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = MyServerPolicyHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        MyServerPolicyHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return MyServerPolicyHelper.type();
    }
}
