// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.poa;

//
// IDL:TestServer:1.0
//
final public class TestServerHolder implements org.omg.CORBA.portable.Streamable
{
    public TestServer value;

    public
    TestServerHolder()
    {
    }

    public
    TestServerHolder(TestServer initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = TestServerHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        TestServerHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return TestServerHelper.type();
    }
}
