// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.retry;

public class Retry_impl extends RetryPOA
{
    private org.omg.PortableServer.POA poa_;
    private int count_;
    private int max_;
    private boolean maybe_;

    public
    Retry_impl(org.omg.PortableServer.POA poa)
    {
        poa_ = poa;
    }

    public org.omg.PortableServer.POA
    _default_POA()
    {
        if(poa_ != null)
            return poa_;
        else
            return super._default_POA();
    }

    public void
    aMethod()
    {
        count_++;

        if(max_ > 0 && count_ <= max_)
        {
            if(maybe_)
                throw new org.omg.CORBA.TRANSIENT(
                    0, org.omg.CORBA.CompletionStatus.COMPLETED_MAYBE);
            else
                throw new org.omg.CORBA.TRANSIENT(
                    0, org.omg.CORBA.CompletionStatus.COMPLETED_NO);
        }
    }

    public int
    get_count()
    {
        return count_;
    }

    public void
    raise_exception(int max, boolean maybe)
    {
        count_ = 0;
        max_ = max;
        maybe_ = maybe;
    }
}
