// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.types;

//
// IDL:DoubleArray:1.0
//
final public class DoubleArrayHolder implements org.omg.CORBA.portable.Streamable
{
    public double[][][] value;

    public
    DoubleArrayHolder()
    {
    }

    public
    DoubleArrayHolder(double[][][] initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = DoubleArrayHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        DoubleArrayHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return DoubleArrayHelper.type();
    }
}
