// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.types.DynAnyTypes;

//
// IDL:test/types/DynAnyTypes/TestException:1.0
//
/***/

final public class TestException extends org.omg.CORBA.UserException
{
    private static final String _ob_id = "IDL:test/types/DynAnyTypes/TestException:1.0";

    public
    TestException()
    {
        super(_ob_id);
    }

    public
    TestException(String reason,
                  int code)
    {
        super(_ob_id);
        this.reason = reason;
        this.code = code;
    }

    public
    TestException(String _reason,
                  String reason,
                  int code)
    {
        super(_ob_id + " " + _reason);
        this.reason = reason;
        this.code = code;
    }

    public String reason;
    public int code;
}
