// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.types.DynAnyTypes;

//
// IDL:test/types/DynAnyTypes/TestException:1.0
//
final public class TestExceptionHolder implements org.omg.CORBA.portable.Streamable
{
    public TestException value;

    public
    TestExceptionHolder()
    {
    }

    public
    TestExceptionHolder(TestException initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = TestExceptionHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        TestExceptionHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return TestExceptionHelper.type();
    }
}
