// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.types.DynAnyTypes;

//
// IDL:test/types/DynAnyTypes/TestStructBox:1.0
//
final public class TestStructBoxHolder implements org.omg.CORBA.portable.Streamable
{
    public TestStruct value;

    public
    TestStructBoxHolder()
    {
    }

    public
    TestStructBoxHolder(TestStruct initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = TestStructBoxHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        TestStructBoxHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return TestStructBoxHelper.type();
    }
}
