// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.types;

//
// IDL:Measurement:1.0
//
final public class MeasurementHolder implements org.omg.CORBA.portable.Streamable
{
    public Measurement value;

    public
    MeasurementHolder()
    {
    }

    public
    MeasurementHolder(Measurement initial)
    {
        value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream in)
    {
        value = MeasurementHelper.read(in);
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream out)
    {
        MeasurementHelper.write(out, value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
        return MeasurementHelper.type();
    }
}
