// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.types;

//
// IDL:TestConstInterface:1.0
//
/***/

public interface TestConstInterface extends TestConstInterfaceOperations,
                                            org.omg.CORBA.Object,
                                            org.omg.CORBA.portable.IDLEntity
{
    //
    // IDL:TestConstInterface/ConstLong:1.0
    //
    /***/

    int ConstLong = (int)(61454L);

    //
    // IDL:TestConstInterface/ConstULong:1.0
    //
    /***/

    int ConstULong = (int)(4294967295L);

    //
    // IDL:TestConstInterface/ConstChar0:1.0
    //
    /***/

    char ConstChar0 = '\0';

    //
    // IDL:TestConstInterface/ConstChar1:1.0
    //
    /***/

    char ConstChar1 = 'c';

    //
    // IDL:TestConstInterface/ConstChar2:1.0
    //
    /***/

    char ConstChar2 = '\n';

    //
    // IDL:TestConstInterface/ConstChar3:1.0
    //
    /***/

    char ConstChar3 = '\377';

    //
    // IDL:TestConstInterface/ConstChar4:1.0
    //
    /***/

    char ConstChar4 = '\210';

    //
    // IDL:TestConstInterface/ConstChar5:1.0
    //
    /***/

    char ConstChar5 = '\'';

    //
    // IDL:TestConstInterface/ConstWChar:1.0
    //
    /***/

    char ConstWChar = 'Z';

    //
    // IDL:TestConstInterface/ConstString:1.0
    //
    /***/

    String ConstString = "\n\t\013\b\r\f\007\\?\'\"\377\377\007";

    //
    // IDL:TestConstInterface/ConstWString:1.0
    //
    /***/

    String ConstWString = "\n\t\013\b\r\f\007\\?\'\"\377\377\007";

    //
    // IDL:TestConstInterface/ConstEnum:1.0
    //
    /***/

    Measurement ConstEnum = Measurement.FEET;
}
