// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.types;

//
// IDL:TestEnum:1.0
//
/***/

public class TestEnum implements org.omg.CORBA.portable.IDLEntity
{
    private static TestEnum [] values_ = new TestEnum[3];
    private int value_;

    public final static int _A = 0;
    public final static TestEnum A = new TestEnum(_A);
    public final static int _B = 1;
    public final static TestEnum B = new TestEnum(_B);
    public final static int _C = 2;
    public final static TestEnum C = new TestEnum(_C);

    protected
    TestEnum(int value)
    {
        values_[value] = this;
        value_ = value;
    }

    public int
    value()
    {
        return value_;
    }

    public static TestEnum
    from_int(int value)
    {
        if(value < values_.length)
            return values_[value];
        else
            throw new org.omg.CORBA.BAD_PARAM("Value (" + value  + ") out of range", 25, org.omg.CORBA.CompletionStatus.COMPLETED_NO);
    }

    private java.lang.Object
    readResolve()
        throws java.io.ObjectStreamException
    {
        return from_int(value());
    }
}
