// **********************************************************************
//
// Copyright (c) 2005-2006
// IONA Technologies PLC
// Dublin, Ireland and Waltham, MA, USA
//
// All Rights Reserved
//
// Licensed to apache under Apache 2.0 License - 2006
// **********************************************************************

package test.types;

//
// IDL:TestFixed1:1.0
//
final public class TestFixed1Helper
{
    public static void
    insert(org.omg.CORBA.Any any, java.math.BigDecimal val)
    {
        org.omg.CORBA.portable.OutputStream out = any.create_output_stream();
        write(out, val);
        any.read_value(out.create_input_stream(), type());
    }

    public static java.math.BigDecimal
    extract(org.omg.CORBA.Any any)
    {
        if(any.type().equivalent(type()))
            return read(any.create_input_stream());
        else
            throw new org.omg.CORBA.BAD_OPERATION();
    }

    private static org.omg.CORBA.TypeCode typeCode_;

    public static org.omg.CORBA.TypeCode
    type()
    {
        if(typeCode_ == null)
        {
            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
            typeCode_ = orb.create_alias_tc(id(), "TestFixed1", orb.create_fixed_tc((short)24, (short)0));
        }

        return typeCode_;
    }

    public static String
    id()
    {
        return "IDL:TestFixed1:1.0";
    }

    public static java.math.BigDecimal
    read(org.omg.CORBA.portable.InputStream in)
    {
        java.math.BigDecimal _ob_v;
        _ob_v = in.read_fixed().movePointLeft(0);
        return _ob_v;
    }

    public static void
    write(org.omg.CORBA.portable.OutputStream out, java.math.BigDecimal val)
    {
        out.write_fixed(val.movePointRight(0));
    }
}
